/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.DateToStringXmlAdapter;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.ReportJobStateXmlAdapter;
/*     */ import java.io.Serializable;
/*     */ import java.util.Date;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ @XmlRootElement(name="state")
/*     */ public class ReportJobRuntimeInformation
/*     */   implements Serializable
/*     */ {
/*     */   private static final long serialVersionUID = 1L;
/*     */   public static final byte STATE_UNKNOWN = 0;
/*     */   public static final byte STATE_NORMAL = 1;
/*     */   public static final byte STATE_EXECUTING = 2;
/*     */   public static final byte STATE_PAUSED = 3;
/*     */   public static final byte STATE_COMPLETE = 4;
/*     */   public static final byte STATE_ERROR = 5;
/*     */   private Byte state;
/*     */   private Date previousFireTime;
/*     */   private Date nextFireTime;
/*     */   
/*     */   @XmlJavaTypeAdapter(DateToStringXmlAdapter.class)
/*     */   public Date getNextFireTime()
/*     */   {
/* 113 */     return this.nextFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setNextFireTime(Date nextFireTime)
/*     */   {
/* 122 */     this.nextFireTime = nextFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlJavaTypeAdapter(DateToStringXmlAdapter.class)
/*     */   public Date getPreviousFireTime()
/*     */   {
/* 133 */     return this.previousFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setPreviousFireTime(Date previousFireTime)
/*     */   {
/* 142 */     this.previousFireTime = previousFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlJavaTypeAdapter(ReportJobStateXmlAdapter.class)
/*     */   @XmlElement(name="value")
/*     */   public Byte getStateCode()
/*     */   {
/* 153 */     return this.state;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public byte getState()
/*     */   {
/* 164 */     return getStateCode().byteValue();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setState(byte state)
/*     */   {
/* 174 */     setStateCode(Byte.valueOf(state));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setStateCode(Byte state)
/*     */   {
/* 183 */     this.state = state;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\ReportJobRuntimeInformation.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */