/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import it.businesslogic.ireport.gui.sheet.Tag;
/*     */ import it.businesslogic.ireport.util.Misc;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.math.BigDecimal;
/*     */ import java.util.regex.Pattern;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.ImageIcon;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class DataTypeDialog extends JDialog
/*     */ {
/*  46 */   private int dialogResult = 2;
/*     */   
/*  48 */   private JServer server = null;
/*  49 */   private String parentFolder = null;
/*  50 */   private RepositoryFolder resource = null;
/*     */   
/*  52 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   
/*  54 */   private boolean doNotStore = false;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonSave;
/*     */   private JCheckBox jCheckBoxMaxValue;
/*     */   
/*  60 */   public DataTypeDialog(Frame parent, boolean modal) { super(parent, modal);
/*  61 */     initComponents();
/*     */     
/*  63 */     Misc.centerFrame(this);
/*  64 */     DocumentListener changesListener = new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  66 */         DataTypeDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  69 */       public void insertUpdate(DocumentEvent evt) { DataTypeDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  72 */         DataTypeDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  75 */     };
/*  76 */     this.jComboBoxType.addItem(new Tag("1", IRPlugin.getString("dataTypeDialog.type.1", "Text")));
/*  77 */     this.jComboBoxType.addItem(new Tag("2", IRPlugin.getString("dataTypeDialog.type.2", "Number")));
/*  78 */     this.jComboBoxType.addItem(new Tag("3", IRPlugin.getString("dataTypeDialog.type.3", "Date")));
/*  79 */     this.jComboBoxType.addItem(new Tag("4", IRPlugin.getString("dataTypeDialog.type.4", "Date/time")));
/*     */     
/*  81 */     this.jComboBoxType.setSelectedIndex(0);
/*     */     
/*  83 */     applyI18n();
/*     */     
/*  85 */     this.jTextFieldLabel.getDocument().addDocumentListener(changesListener);
/*  86 */     this.jTextFieldName.getDocument().addDocumentListener(changesListener);
/*  87 */     this.jTextFieldName.requestFocusInWindow(); }
/*     */   
/*     */   private JCheckBox jCheckBoxMinValue;
/*     */   private JComboBox jComboBoxType;
/*     */   
/*  92 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("dataTypeDialog.buttonCancel", "Cancel"));
/*  93 */     this.jButtonSave.setText(IRPlugin.getString("dataTypeDialog.buttonSave", "Save"));
/*  94 */     this.jLabel1.setText(IRPlugin.getString("dataTypeDialog.title", "Data Type"));
/*  95 */     this.jLabelDescription.setText(IRPlugin.getString("dataTypeDialog.labelDescription", "Description"));
/*  96 */     this.jLabelLabel.setText(IRPlugin.getString("dataTypeDialog.labelLabel", "Label"));
/*  97 */     this.jLabelMaxVal.setText(IRPlugin.getString("dataTypeDialog.labelMaxVal", "Maximum value"));
/*  98 */     this.jLabelMinValue.setText(IRPlugin.getString("dataTypeDialog.labelMinValue", "Minimum value"));
/*  99 */     this.jLabelName.setText(IRPlugin.getString("dataTypeDialog.labelName", "Name"));
/* 100 */     this.jLabelUriString.setText(IRPlugin.getString("dataTypeDialog.labelParentFolder", "Parent folder"));
/* 101 */     this.jLabelPattern.setText(IRPlugin.getString("dataTypeDialog.labelPattern", "Pattern"));
/* 102 */     this.jLabelStrictMaxVal.setText(IRPlugin.getString("dataTypeDialog.labelStrictMaxValue", "Is strict maximum"));
/* 103 */     this.jLabelStrictMinVal.setText(IRPlugin.getString("dataTypeDialog.labelStrictMinValue", "Is strict minimum"));
/* 104 */     this.jLabelType.setText(IRPlugin.getString("dataTypeDialog.labelType", "Type"));
/*     */     
/* 106 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("dataTypeDialog.tabGeneral", "General"));
/* 107 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("dataTypeDialog.tabDetails", "Date Type details"));
/*     */   }
/*     */   
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   private JLabel jLabel1;
/* 112 */   private void updateSaveButton() { if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0))
/*     */     {
/*     */ 
/* 115 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 119 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelMaxVal;
/*     */   private JLabel jLabelMinValue;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelPattern;
/*     */   private JLabel jLabelStrictMaxVal;
/*     */   private JLabel jLabelStrictMinVal;
/*     */   private void initComponents() {
/* 132 */     this.buttonGroup1 = new ButtonGroup();
/* 133 */     this.jPanel1 = new JPanel();
/* 134 */     this.jLabel1 = new JLabel();
/* 135 */     this.jSeparator1 = new JSeparator();
/* 136 */     this.jTabbedPane1 = new JTabbedPane();
/* 137 */     this.jPanel2 = new JPanel();
/* 138 */     this.jLabelUriString = new JLabel();
/* 139 */     this.jTextFieldUriString = new JTextField();
/* 140 */     this.jLabelName = new JLabel();
/* 141 */     this.jTextFieldName = new JTextField();
/* 142 */     this.jSeparator2 = new JSeparator();
/* 143 */     this.jLabelLabel = new JLabel();
/* 144 */     this.jTextFieldLabel = new JTextField();
/* 145 */     this.jScrollPane1 = new JScrollPane();
/* 146 */     this.jEditorPaneDescription = new JEditorPane();
/* 147 */     this.jLabelDescription = new JLabel();
/* 148 */     this.jPanel3 = new JPanel();
/* 149 */     this.jLabelType = new JLabel();
/* 150 */     this.jComboBoxType = new JComboBox();
/* 151 */     this.jLabelPattern = new JLabel();
/* 152 */     this.jTextFieldPattern = new JTextField();
/* 153 */     this.jLabelMinValue = new JLabel();
/* 154 */     this.jCheckBoxMinValue = new JCheckBox();
/* 155 */     this.jTextFieldMaxValue = new JTextField();
/* 156 */     this.jLabelMaxVal = new JLabel();
/* 157 */     this.jPanel5 = new JPanel();
/* 158 */     this.jCheckBoxMaxValue = new JCheckBox();
/* 159 */     this.jLabelStrictMinVal = new JLabel();
/* 160 */     this.jLabelStrictMaxVal = new JLabel();
/* 161 */     this.jTextFieldMinValue = new JTextField();
/* 162 */     this.jPanel4 = new JPanel();
/* 163 */     this.jButtonSave = new JButton();
/* 164 */     this.jButtonClose = new JButton();
/*     */     
/* 166 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 168 */     setDefaultCloseOperation(2);
/* 169 */     setTitle("Data Type");
/* 170 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 172 */     this.jPanel1.setBackground(new java.awt.Color(255, 255, 255));
/* 173 */     this.jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
/* 174 */     this.jLabel1.setIcon(new ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_new.png")));
/* 175 */     this.jLabel1.setText("Data Type");
/* 176 */     this.jLabel1.setVerticalAlignment(3);
/* 177 */     this.jLabel1.setVerticalTextPosition(3);
/* 178 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 179 */     gridBagConstraints.fill = 1;
/* 180 */     gridBagConstraints.weightx = 1.0D;
/* 181 */     gridBagConstraints.weighty = 1.0D;
/* 182 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 184 */     gridBagConstraints = new GridBagConstraints();
/* 185 */     gridBagConstraints.fill = 2;
/* 186 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 188 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 189 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 190 */     gridBagConstraints = new GridBagConstraints();
/* 191 */     gridBagConstraints.gridx = 0;
/* 192 */     gridBagConstraints.fill = 2;
/* 193 */     gridBagConstraints.weightx = 1.0D;
/* 194 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 196 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 198 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 199 */     this.jLabelUriString.setText("Parent folder");
/* 200 */     gridBagConstraints = new GridBagConstraints();
/* 201 */     gridBagConstraints.gridx = 0;
/* 202 */     gridBagConstraints.fill = 2;
/* 203 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 204 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 206 */     this.jTextFieldUriString.setEditable(false);
/* 207 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 208 */     this.jTextFieldUriString.setOpaque(false);
/* 209 */     gridBagConstraints = new GridBagConstraints();
/* 210 */     gridBagConstraints.gridx = 1;
/* 211 */     gridBagConstraints.fill = 2;
/* 212 */     gridBagConstraints.weightx = 1.0D;
/* 213 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 214 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 216 */     this.jLabelName.setText("Name");
/* 217 */     gridBagConstraints = new GridBagConstraints();
/* 218 */     gridBagConstraints.gridx = 0;
/* 219 */     gridBagConstraints.fill = 2;
/* 220 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 221 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 223 */     gridBagConstraints = new GridBagConstraints();
/* 224 */     gridBagConstraints.gridx = 1;
/* 225 */     gridBagConstraints.fill = 2;
/* 226 */     gridBagConstraints.weightx = 1.0D;
/* 227 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 228 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 230 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 231 */     gridBagConstraints = new GridBagConstraints();
/* 232 */     gridBagConstraints.gridx = 0;
/* 233 */     gridBagConstraints.gridwidth = 2;
/* 234 */     gridBagConstraints.fill = 2;
/* 235 */     gridBagConstraints.weightx = 1.0D;
/* 236 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 237 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 239 */     this.jLabelLabel.setText("Label");
/* 240 */     gridBagConstraints = new GridBagConstraints();
/* 241 */     gridBagConstraints.gridx = 0;
/* 242 */     gridBagConstraints.fill = 2;
/* 243 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 244 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 246 */     gridBagConstraints = new GridBagConstraints();
/* 247 */     gridBagConstraints.gridx = 1;
/* 248 */     gridBagConstraints.fill = 2;
/* 249 */     gridBagConstraints.weightx = 1.0D;
/* 250 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 251 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 253 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 255 */     gridBagConstraints = new GridBagConstraints();
/* 256 */     gridBagConstraints.gridx = 1;
/* 257 */     gridBagConstraints.fill = 1;
/* 258 */     gridBagConstraints.weightx = 1.0D;
/* 259 */     gridBagConstraints.weighty = 1.0D;
/* 260 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 261 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 263 */     this.jLabelDescription.setText("Description");
/* 264 */     gridBagConstraints = new GridBagConstraints();
/* 265 */     gridBagConstraints.gridx = 0;
/* 266 */     gridBagConstraints.fill = 2;
/* 267 */     gridBagConstraints.anchor = 11;
/* 268 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 269 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 271 */     this.jTabbedPane1.addTab("General", this.jPanel2);
/*     */     
/* 273 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 275 */     this.jLabelType.setHorizontalAlignment(4);
/* 276 */     this.jLabelType.setText("Type");
/* 277 */     gridBagConstraints = new GridBagConstraints();
/* 278 */     gridBagConstraints.gridx = 0;
/* 279 */     gridBagConstraints.gridy = 1;
/* 280 */     gridBagConstraints.fill = 2;
/* 281 */     gridBagConstraints.insets = new Insets(8, 20, 4, 0);
/* 282 */     this.jPanel3.add(this.jLabelType, gridBagConstraints);
/*     */     
/* 284 */     gridBagConstraints = new GridBagConstraints();
/* 285 */     gridBagConstraints.gridy = 1;
/* 286 */     gridBagConstraints.fill = 2;
/* 287 */     gridBagConstraints.weightx = 1.0D;
/* 288 */     gridBagConstraints.insets = new Insets(8, 4, 4, 20);
/* 289 */     this.jPanel3.add(this.jComboBoxType, gridBagConstraints);
/*     */     
/* 291 */     this.jLabelPattern.setHorizontalAlignment(4);
/* 292 */     this.jLabelPattern.setText("Pattern");
/* 293 */     gridBagConstraints = new GridBagConstraints();
/* 294 */     gridBagConstraints.gridx = 0;
/* 295 */     gridBagConstraints.gridy = 2;
/* 296 */     gridBagConstraints.fill = 2;
/* 297 */     gridBagConstraints.insets = new Insets(0, 20, 16, 0);
/* 298 */     this.jPanel3.add(this.jLabelPattern, gridBagConstraints);
/*     */     
/* 300 */     gridBagConstraints = new GridBagConstraints();
/* 301 */     gridBagConstraints.gridx = 1;
/* 302 */     gridBagConstraints.gridy = 2;
/* 303 */     gridBagConstraints.fill = 2;
/* 304 */     gridBagConstraints.weightx = 0.8D;
/* 305 */     gridBagConstraints.insets = new Insets(0, 4, 16, 20);
/* 306 */     this.jPanel3.add(this.jTextFieldPattern, gridBagConstraints);
/*     */     
/* 308 */     this.jLabelMinValue.setHorizontalAlignment(4);
/* 309 */     this.jLabelMinValue.setText("Minimum value");
/* 310 */     gridBagConstraints = new GridBagConstraints();
/* 311 */     gridBagConstraints.gridx = 0;
/* 312 */     gridBagConstraints.gridy = 3;
/* 313 */     gridBagConstraints.fill = 2;
/* 314 */     gridBagConstraints.insets = new Insets(0, 20, 4, 0);
/* 315 */     this.jPanel3.add(this.jLabelMinValue, gridBagConstraints);
/*     */     
/* 317 */     this.jCheckBoxMinValue.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 318 */     gridBagConstraints = new GridBagConstraints();
/* 319 */     gridBagConstraints.gridx = 1;
/* 320 */     gridBagConstraints.gridy = 4;
/* 321 */     gridBagConstraints.fill = 2;
/* 322 */     gridBagConstraints.insets = new Insets(0, 4, 16, 20);
/* 323 */     this.jPanel3.add(this.jCheckBoxMinValue, gridBagConstraints);
/*     */     
/* 325 */     gridBagConstraints = new GridBagConstraints();
/* 326 */     gridBagConstraints.gridx = 1;
/* 327 */     gridBagConstraints.gridy = 5;
/* 328 */     gridBagConstraints.fill = 2;
/* 329 */     gridBagConstraints.weightx = 0.8D;
/* 330 */     gridBagConstraints.insets = new Insets(0, 4, 4, 20);
/* 331 */     this.jPanel3.add(this.jTextFieldMaxValue, gridBagConstraints);
/*     */     
/* 333 */     this.jLabelMaxVal.setHorizontalAlignment(4);
/* 334 */     this.jLabelMaxVal.setText("Maximum value");
/* 335 */     gridBagConstraints = new GridBagConstraints();
/* 336 */     gridBagConstraints.gridx = 0;
/* 337 */     gridBagConstraints.gridy = 5;
/* 338 */     gridBagConstraints.fill = 2;
/* 339 */     gridBagConstraints.insets = new Insets(0, 20, 4, 0);
/* 340 */     this.jPanel3.add(this.jLabelMaxVal, gridBagConstraints);
/*     */     
/* 342 */     gridBagConstraints = new GridBagConstraints();
/* 343 */     gridBagConstraints.gridx = 0;
/* 344 */     gridBagConstraints.gridy = 99;
/* 345 */     gridBagConstraints.weighty = 1.0D;
/* 346 */     this.jPanel3.add(this.jPanel5, gridBagConstraints);
/*     */     
/* 348 */     this.jCheckBoxMaxValue.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 349 */     gridBagConstraints = new GridBagConstraints();
/* 350 */     gridBagConstraints.gridx = 1;
/* 351 */     gridBagConstraints.gridy = 6;
/* 352 */     gridBagConstraints.fill = 2;
/* 353 */     gridBagConstraints.insets = new Insets(0, 4, 8, 20);
/* 354 */     this.jPanel3.add(this.jCheckBoxMaxValue, gridBagConstraints);
/*     */     
/* 356 */     this.jLabelStrictMinVal.setHorizontalAlignment(4);
/* 357 */     this.jLabelStrictMinVal.setText("Is strict minimum");
/* 358 */     gridBagConstraints = new GridBagConstraints();
/* 359 */     gridBagConstraints.gridx = 0;
/* 360 */     gridBagConstraints.gridy = 4;
/* 361 */     gridBagConstraints.fill = 2;
/* 362 */     gridBagConstraints.insets = new Insets(0, 4, 16, 0);
/* 363 */     this.jPanel3.add(this.jLabelStrictMinVal, gridBagConstraints);
/*     */     
/* 365 */     this.jLabelStrictMaxVal.setHorizontalAlignment(4);
/* 366 */     this.jLabelStrictMaxVal.setText("Is strict maximum");
/* 367 */     gridBagConstraints = new GridBagConstraints();
/* 368 */     gridBagConstraints.gridx = 0;
/* 369 */     gridBagConstraints.gridy = 6;
/* 370 */     gridBagConstraints.fill = 2;
/* 371 */     gridBagConstraints.insets = new Insets(0, 4, 8, 0);
/* 372 */     this.jPanel3.add(this.jLabelStrictMaxVal, gridBagConstraints);
/*     */     
/* 374 */     gridBagConstraints = new GridBagConstraints();
/* 375 */     gridBagConstraints.gridx = 1;
/* 376 */     gridBagConstraints.gridy = 3;
/* 377 */     gridBagConstraints.fill = 2;
/* 378 */     gridBagConstraints.weightx = 0.8D;
/* 379 */     gridBagConstraints.insets = new Insets(0, 4, 4, 20);
/* 380 */     this.jPanel3.add(this.jTextFieldMinValue, gridBagConstraints);
/*     */     
/* 382 */     this.jTabbedPane1.addTab("Data Type details", this.jPanel3);
/*     */     
/* 384 */     gridBagConstraints = new GridBagConstraints();
/* 385 */     gridBagConstraints.gridx = 0;
/* 386 */     gridBagConstraints.fill = 1;
/* 387 */     gridBagConstraints.weightx = 1.0D;
/* 388 */     gridBagConstraints.weighty = 1.0D;
/* 389 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 391 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 393 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 394 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 395 */     this.jButtonSave.setText("Save");
/* 396 */     this.jButtonSave.setEnabled(false);
/* 397 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 399 */         DataTypeDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 402 */     });
/* 403 */     gridBagConstraints = new GridBagConstraints();
/* 404 */     gridBagConstraints.anchor = 13;
/* 405 */     gridBagConstraints.weightx = 1.0D;
/* 406 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 407 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 409 */     this.jButtonClose.setText("Cancel");
/* 410 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 412 */         DataTypeDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 415 */     });
/* 416 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 418 */     gridBagConstraints = new GridBagConstraints();
/* 419 */     gridBagConstraints.gridx = 0;
/* 420 */     gridBagConstraints.fill = 2;
/* 421 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 422 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 424 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 429 */     setVisible(false);
/* 430 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 436 */     ResourceDescriptor rd = new ResourceDescriptor();
/*     */     
/* 438 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 439 */     rd.setName(this.jTextFieldName.getText());
/* 440 */     String uri = getParentFolder();
/* 441 */     if (!uri.endsWith("/")) uri = uri + "/";
/* 442 */     uri = uri + this.jTextFieldName.getText();
/* 443 */     rd.setUriString(uri);
/* 444 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 445 */     rd.setParentFolder(getParentFolder());
/* 446 */     rd.setIsNew(this.resource == null);
/*     */     
/* 448 */     rd.setWsType("dataType");
/*     */     
/*     */ 
/* 451 */     rd.setDataType(Byte.parseByte(((Tag)this.jComboBoxType.getSelectedItem()).getValue() + ""));
/* 452 */     rd.setPattern(this.jTextFieldPattern.getText());
/* 453 */     rd.setMaxValue(this.jTextFieldMaxValue.getText());
/* 454 */     rd.setMinValue(this.jTextFieldMinValue.getText());
/* 455 */     rd.setStrictMax(this.jCheckBoxMaxValue.isSelected());
/* 456 */     rd.setStrictMin(this.jCheckBoxMinValue.isSelected());
/*     */     
/*     */     try
/*     */     {
/* 460 */       validate(rd);
/*     */       
/* 462 */       if (!this.doNotStore)
/*     */       {
/* 464 */         this.newResourceDescriptor = getServer().getWSClient().addOrModifyResource(rd, null);
/*     */       } else {
/* 466 */         this.newResourceDescriptor = rd;
/*     */       }
/* 468 */       setDialogResult(0);
/*     */       
/* 470 */       if (this.resource != null)
/*     */       {
/* 472 */         this.resource.setDescriptor(this.newResourceDescriptor);
/*     */       }
/*     */       
/* 475 */       setVisible(false);
/* 476 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 479 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 480 */       ex.printStackTrace();
/* 481 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   public int getDialogResult()
/*     */   {
/* 487 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 491 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getServer()
/*     */   {
/* 496 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 500 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 504 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder) {
/* 508 */     this.parentFolder = parentFolder;
/* 509 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 513 */     return this.newResourceDescriptor;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(RepositoryFolder resource)
/*     */   {
/* 521 */     this.resource = resource;
/* 522 */     if (resource != null)
/*     */     {
/* 524 */       setResource(resource.getDescriptor());
/* 525 */       this.jTextFieldName.setEditable(false);
/* 526 */       this.jTextFieldName.setOpaque(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(ResourceDescriptor descriptor)
/*     */   {
/* 535 */     if (descriptor == null) { return;
/*     */     }
/* 537 */     this.jTextFieldName.setText(descriptor.getName());
/*     */     
/*     */ 
/* 540 */     this.jTextFieldLabel.setText(descriptor.getLabel());
/* 541 */     this.jEditorPaneDescription.setText(descriptor.getDescription());
/*     */     
/* 543 */     if (descriptor.getWsType().equals("dataType"))
/*     */     {
/* 545 */       this.jCheckBoxMaxValue.setSelected(descriptor.isStrictMax());
/* 546 */       this.jCheckBoxMinValue.setSelected(descriptor.isStrictMin());
/* 547 */       this.jTextFieldMaxValue.setText(descriptor.getMaxValue() == null ? "" : descriptor.getMaxValue());
/* 548 */       this.jTextFieldMinValue.setText(descriptor.getMinValue() == null ? "" : descriptor.getMinValue());
/*     */       
/* 550 */       Misc.setComboboxSelectedTagValue(this.jComboBoxType, "" + descriptor.getDataType());
/*     */       
/* 552 */       this.jTextFieldPattern.setText(descriptor.getPattern());
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JLabel jLabelType;
/*     */   
/*     */ 
/*     */   private JLabel jLabelUriString;
/*     */   
/*     */ 
/*     */   private JPanel jPanel1;
/*     */   
/*     */ 
/*     */   private JPanel jPanel2;
/*     */   
/*     */ 
/*     */   private JPanel jPanel3;
/*     */   
/*     */ 
/*     */   private JPanel jPanel4;
/*     */   
/*     */   private JPanel jPanel5;
/*     */   
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   private JSeparator jSeparator2;
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldMaxValue;
/*     */   
/*     */   private JTextField jTextFieldMinValue;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldPattern;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   public void validate(ResourceDescriptor dataType)
/*     */     throws Exception
/*     */   {
/* 600 */     String strMinValue = this.jTextFieldMinValue.getText();
/* 601 */     String strMaxValue = this.jTextFieldMaxValue.getText();
/*     */     
/* 603 */     ValidationUtils.validateName(dataType.getName());
/* 604 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 605 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */     
/* 607 */     if ((strMinValue != null) && (strMinValue.length() == 0))
/* 608 */       dataType.setMinValue(null);
/* 609 */     if ((strMaxValue != null) && (strMaxValue.length() == 0)) {
/* 610 */       dataType.setMaxValue(null);
/*     */     }
/* 612 */     if (dataType.getDataType() == 2) {
/* 613 */       BigDecimal minValue = null;
/* 614 */       BigDecimal maxValue = null;
/*     */       try
/*     */       {
/* 617 */         minValue = new BigDecimal(strMinValue);
/*     */       } catch (NumberFormatException e) {
/* 619 */         if (strMinValue.length() > 0) {
/* 620 */           throw new Exception(IRPlugin.getString("dataTypeDialog.message.invalidNumber", "Invalid number"));
/*     */         }
/*     */       }
/*     */       try
/*     */       {
/* 625 */         maxValue = new BigDecimal(strMaxValue);
/*     */       } catch (NumberFormatException e) {
/* 627 */         if (strMaxValue.length() > 0) {
/* 628 */           throw new Exception(IRPlugin.getString("dataTypeDialog.message.invalidNumber", "Invalid number"));
/*     */         }
/*     */       }
/* 631 */       if ((minValue != null) && (maxValue != null) && 
/* 632 */         (minValue.compareTo(maxValue) >= 0)) {
/* 633 */         throw new Exception(IRPlugin.getString("dataTypeDialog.message.invalidMinMax", "Minimum value must be smaller than maximum value"));
/*     */       }
/*     */     }
/* 636 */     if ((dataType.getDataType() == 1) && (dataType.getPattern() != null) && (dataType.getPattern().trim().length() > 0)) {
/* 637 */       if ((strMinValue != null) && (strMinValue.trim().length() > 0) && (!Pattern.matches(dataType.getPattern(), strMinValue)))
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 643 */         throw new Exception(IRPlugin.getString("dataTypeDialog.message.invalidMinPattern", "Minimum value does not match pattern"));
/*     */       }
/* 645 */       if ((strMaxValue != null) && (strMaxValue.trim().length() > 0) && (!Pattern.matches(dataType.getPattern(), strMaxValue)))
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 651 */         throw new Exception(IRPlugin.getString("dataTypeDialog.message.invalidMaxPattern", "Maximum value does not match pattern"));
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */   public boolean isDoNotStore() {
/* 657 */     return this.doNotStore;
/*     */   }
/*     */   
/*     */   public void setDoNotStore(boolean doNotStore) {
/* 661 */     this.doNotStore = doNotStore;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\DataTypeDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */