/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ListItem;
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.wsclient.WSClient;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.DefaultListSelectionModel;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.AncestorEvent;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.event.ListSelectionEvent;
/*     */ import javax.swing.event.ListSelectionListener;
/*     */ import javax.swing.table.DefaultTableModel;
/*     */ import javax.swing.table.TableColumn;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class ListOfValuesDialog extends JDialog
/*     */ {
/*  49 */   private int dialogResult = 2;
/*     */   
/*  51 */   private JServer server = null;
/*  52 */   private String parentFolder = null;
/*  53 */   private RepositoryFolder resource = null;
/*     */   
/*  55 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   
/*  57 */   private boolean doNotStore = false;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonDelete;
/*     */   
/*     */   public ListOfValuesDialog(Frame parent, boolean modal) {
/*  63 */     super(parent, modal);
/*  64 */     initComponents();
/*     */     
/*  66 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*  67 */     DocumentListener changesListener = new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  69 */         ListOfValuesDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  72 */       public void insertUpdate(DocumentEvent evt) { ListOfValuesDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  75 */         ListOfValuesDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  78 */     };
/*  79 */     DefaultTableModel lm = (DefaultTableModel)this.jTableLOV.getModel();
/*  80 */     lm.setRowCount(0);
/*  81 */     this.jTableLOV.updateUI();
/*     */     
/*  83 */     this.jTextFieldLabel.getDocument().addDocumentListener(changesListener);
/*  84 */     this.jTextFieldName.getDocument().addDocumentListener(changesListener);
/*  85 */     this.jTextFieldName.requestFocusInWindow();
/*     */     
/*  87 */     this.jTableLOV.getSelectionModel().addListSelectionListener(new ListSelectionListener() {
/*     */       public void valueChanged(ListSelectionEvent evt) {
/*  89 */         ListOfValuesDialog.this.jTableValueChanged(evt);
/*     */       }
/*     */       
/*  92 */     });
/*  93 */     jTableValueChanged(null);
/*  94 */     applyI18n(); }
/*     */   
/*     */   private JButton jButtonDown;
/*     */   private JButton jButtonInsert;
/*     */   private JButton jButtonSave;
/*     */   private JButton jButtonUp;
/* 100 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("listOfValuesDialog.buttonCancel", "Cancel"));
/* 101 */     this.jButtonDelete.setText(IRPlugin.getString("listOfValuesDialog.buttonDelete", "Delete"));
/* 102 */     this.jButtonDown.setText(IRPlugin.getString("listOfValuesDialog.buttonMoveDown", "Move down"));
/* 103 */     this.jButtonInsert.setText(IRPlugin.getString("listOfValuesDialog.buttonAdd", "Add"));
/* 104 */     this.jButtonSave.setText(IRPlugin.getString("listOfValuesDialog.buttonSave", "Save"));
/* 105 */     this.jButtonUp.setText(IRPlugin.getString("listOfValuesDialog.buttonMoveUp", "Move up"));
/* 106 */     this.jLabel1.setText(IRPlugin.getString("listOfValuesDialog.title", "List of values"));
/* 107 */     this.jLabelDescription.setText(IRPlugin.getString("listOfValuesDialog.labelDescription", "Description"));
/* 108 */     this.jLabelLabel.setText(IRPlugin.getString("listOfValuesDialog.labelLabel", "Label"));
/* 109 */     this.jLabelName.setText(IRPlugin.getString("listOfValuesDialog.labelName", "Name"));
/* 110 */     this.jLabelUriString.setText(IRPlugin.getString("listOfValuesDialog.labelParentFolder", "Parent folder"));
/*     */     
/* 112 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("listOfValuesDialog.tabGeneral", "General"));
/* 113 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("listOfValuesDialog.tabDetails", "List of values"));
/*     */     
/* 115 */     this.jTableLOV.getColumn("Label").setHeaderValue(IRPlugin.getString("listOfValuesDialog.tableColumn.label", "Label"));
/* 116 */     this.jTableLOV.getColumn("Value").setHeaderValue(IRPlugin.getString("listOfValuesDialog.tableColumn.value", "Value"));
/*     */     
/* 118 */     this.jTableLOV.updateUI();
/*     */   }
/*     */   
/*     */   private void jTableValueChanged(ListSelectionEvent evt)
/*     */   {
/* 123 */     if (this.jTableLOV.getSelectedRow() >= 0)
/*     */     {
/* 125 */       this.jButtonDelete.setEnabled(true);
/* 126 */       this.jButtonUp.setEnabled(this.jTableLOV.getSelectedRow() > 0);
/*     */       
/* 128 */       int[] selection = this.jTableLOV.getSelectedRows();
/*     */       
/* 130 */       this.jButtonDown.setEnabled(selection[(selection.length - 1)] < this.jTableLOV.getRowCount() - 1);
/*     */     }
/*     */     else
/*     */     {
/* 134 */       this.jButtonDelete.setEnabled(false);
/* 135 */       this.jButtonUp.setEnabled(false);
/* 136 */       this.jButtonDown.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private void updateSaveButton()
/*     */   {
/* 143 */     if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0))
/*     */     {
/*     */ 
/* 146 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 150 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelUriString;
/*     */   private JPanel jPanel1;
/*     */   private void initComponents()
/*     */   {
/* 163 */     this.buttonGroup1 = new ButtonGroup();
/* 164 */     this.jPanel1 = new JPanel();
/* 165 */     this.jLabel1 = new JLabel();
/* 166 */     this.jSeparator1 = new JSeparator();
/* 167 */     this.jTabbedPane1 = new JTabbedPane();
/* 168 */     this.jPanel2 = new JPanel();
/* 169 */     this.jLabelUriString = new JLabel();
/* 170 */     this.jTextFieldUriString = new JTextField();
/* 171 */     this.jLabelName = new JLabel();
/* 172 */     this.jTextFieldName = new JTextField();
/* 173 */     this.jSeparator2 = new JSeparator();
/* 174 */     this.jLabelLabel = new JLabel();
/* 175 */     this.jTextFieldLabel = new JTextField();
/* 176 */     this.jScrollPane1 = new JScrollPane();
/* 177 */     this.jEditorPaneDescription = new JEditorPane();
/* 178 */     this.jLabelDescription = new JLabel();
/* 179 */     this.jPanel3 = new JPanel();
/* 180 */     this.jScrollPane2 = new JScrollPane();
/* 181 */     this.jTableLOV = new JTable();
/* 182 */     this.jPanel5 = new JPanel();
/* 183 */     this.jButtonInsert = new JButton();
/* 184 */     this.jButtonDelete = new JButton();
/* 185 */     this.jButtonUp = new JButton();
/* 186 */     this.jButtonDown = new JButton();
/* 187 */     this.jPanel6 = new JPanel();
/* 188 */     this.jPanel4 = new JPanel();
/* 189 */     this.jButtonSave = new JButton();
/* 190 */     this.jButtonClose = new JButton();
/*     */     
/* 192 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 194 */     setDefaultCloseOperation(2);
/* 195 */     setTitle("Data Type");
/* 196 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 198 */     this.jPanel1.setBackground(new java.awt.Color(255, 255, 255));
/* 199 */     this.jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
/* 200 */     this.jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_new.png")));
/* 201 */     this.jLabel1.setText("List of values");
/* 202 */     this.jLabel1.setVerticalAlignment(3);
/* 203 */     this.jLabel1.setVerticalTextPosition(3);
/* 204 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 205 */     gridBagConstraints.fill = 1;
/* 206 */     gridBagConstraints.weightx = 1.0D;
/* 207 */     gridBagConstraints.weighty = 1.0D;
/* 208 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 210 */     gridBagConstraints = new GridBagConstraints();
/* 211 */     gridBagConstraints.fill = 2;
/* 212 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 214 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 215 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 216 */     gridBagConstraints = new GridBagConstraints();
/* 217 */     gridBagConstraints.gridx = 0;
/* 218 */     gridBagConstraints.fill = 2;
/* 219 */     gridBagConstraints.weightx = 1.0D;
/* 220 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 222 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 224 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 225 */     this.jLabelUriString.setText("Parent folder");
/* 226 */     gridBagConstraints = new GridBagConstraints();
/* 227 */     gridBagConstraints.gridx = 0;
/* 228 */     gridBagConstraints.fill = 2;
/* 229 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 230 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 232 */     this.jTextFieldUriString.setEditable(false);
/* 233 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 234 */     this.jTextFieldUriString.setOpaque(false);
/* 235 */     gridBagConstraints = new GridBagConstraints();
/* 236 */     gridBagConstraints.gridx = 1;
/* 237 */     gridBagConstraints.fill = 2;
/* 238 */     gridBagConstraints.weightx = 1.0D;
/* 239 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 240 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 242 */     this.jLabelName.setText("Name");
/* 243 */     gridBagConstraints = new GridBagConstraints();
/* 244 */     gridBagConstraints.gridx = 0;
/* 245 */     gridBagConstraints.fill = 2;
/* 246 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 247 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 249 */     gridBagConstraints = new GridBagConstraints();
/* 250 */     gridBagConstraints.gridx = 1;
/* 251 */     gridBagConstraints.fill = 2;
/* 252 */     gridBagConstraints.weightx = 1.0D;
/* 253 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 254 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 256 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 257 */     gridBagConstraints = new GridBagConstraints();
/* 258 */     gridBagConstraints.gridx = 0;
/* 259 */     gridBagConstraints.gridwidth = 2;
/* 260 */     gridBagConstraints.fill = 2;
/* 261 */     gridBagConstraints.weightx = 1.0D;
/* 262 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 263 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 265 */     this.jLabelLabel.setText("Label");
/* 266 */     gridBagConstraints = new GridBagConstraints();
/* 267 */     gridBagConstraints.gridx = 0;
/* 268 */     gridBagConstraints.fill = 2;
/* 269 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 270 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 272 */     gridBagConstraints = new GridBagConstraints();
/* 273 */     gridBagConstraints.gridx = 1;
/* 274 */     gridBagConstraints.fill = 2;
/* 275 */     gridBagConstraints.weightx = 1.0D;
/* 276 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 277 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 279 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 281 */     gridBagConstraints = new GridBagConstraints();
/* 282 */     gridBagConstraints.gridx = 1;
/* 283 */     gridBagConstraints.fill = 1;
/* 284 */     gridBagConstraints.weightx = 1.0D;
/* 285 */     gridBagConstraints.weighty = 1.0D;
/* 286 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 287 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 289 */     this.jLabelDescription.setText("Description");
/* 290 */     gridBagConstraints = new GridBagConstraints();
/* 291 */     gridBagConstraints.gridx = 0;
/* 292 */     gridBagConstraints.fill = 2;
/* 293 */     gridBagConstraints.anchor = 11;
/* 294 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 295 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 297 */     this.jTabbedPane1.addTab("General", this.jPanel2);
/*     */     
/* 299 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 301 */     this.jScrollPane2.setPreferredSize(new Dimension(200, 200));
/* 302 */     this.jTableLOV.setModel(new DefaultTableModel(new Object[0][], new String[] { "Label", "Value" })
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 310 */       Class[] types = { String.class, String.class };
/*     */       
/*     */ 
/*     */       public Class getColumnClass(int columnIndex)
/*     */       {
/* 315 */         return this.types[columnIndex];
/*     */       }
/* 317 */     });
/* 318 */     this.jScrollPane2.setViewportView(this.jTableLOV);
/*     */     
/* 320 */     gridBagConstraints = new GridBagConstraints();
/* 321 */     gridBagConstraints.fill = 1;
/* 322 */     gridBagConstraints.weightx = 1.0D;
/* 323 */     gridBagConstraints.weighty = 1.0D;
/* 324 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 325 */     this.jPanel3.add(this.jScrollPane2, gridBagConstraints);
/*     */     
/* 327 */     this.jPanel5.setLayout(new GridBagLayout());
/*     */     
/* 329 */     this.jPanel5.setMinimumSize(new Dimension(100, 50));
/* 330 */     this.jButtonInsert.setText("Add");
/* 331 */     this.jButtonInsert.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 333 */         ListOfValuesDialog.this.jButtonInsertActionPerformed(evt);
/*     */       }
/* 335 */     });
/* 336 */     this.jButtonInsert.addAncestorListener(new javax.swing.event.AncestorListener() {
/*     */       public void ancestorMoved(AncestorEvent evt) {}
/*     */       
/*     */       public void ancestorAdded(AncestorEvent evt) {
/* 340 */         ListOfValuesDialog.this.jButtonInsertAncestorAdded(evt);
/*     */       }
/*     */       
/*     */ 
/*     */       public void ancestorRemoved(AncestorEvent evt) {}
/* 345 */     });
/* 346 */     gridBagConstraints = new GridBagConstraints();
/* 347 */     gridBagConstraints.gridx = 0;
/* 348 */     gridBagConstraints.fill = 2;
/* 349 */     gridBagConstraints.weightx = 1.0D;
/* 350 */     this.jPanel5.add(this.jButtonInsert, gridBagConstraints);
/*     */     
/* 352 */     this.jButtonDelete.setText("Delete");
/* 353 */     this.jButtonDelete.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 355 */         ListOfValuesDialog.this.jButtonDeleteActionPerformed(evt);
/*     */       }
/*     */       
/* 358 */     });
/* 359 */     gridBagConstraints = new GridBagConstraints();
/* 360 */     gridBagConstraints.gridx = 0;
/* 361 */     gridBagConstraints.fill = 2;
/* 362 */     gridBagConstraints.weightx = 1.0D;
/* 363 */     this.jPanel5.add(this.jButtonDelete, gridBagConstraints);
/*     */     
/* 365 */     this.jButtonUp.setText("Move up");
/* 366 */     this.jButtonUp.setEnabled(false);
/* 367 */     this.jButtonUp.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 369 */         ListOfValuesDialog.this.jButtonUpActionPerformed(evt);
/*     */       }
/*     */       
/* 372 */     });
/* 373 */     gridBagConstraints = new GridBagConstraints();
/* 374 */     gridBagConstraints.gridx = 0;
/* 375 */     gridBagConstraints.fill = 2;
/* 376 */     gridBagConstraints.weightx = 1.0D;
/* 377 */     this.jPanel5.add(this.jButtonUp, gridBagConstraints);
/*     */     
/* 379 */     this.jButtonDown.setText("Move down");
/* 380 */     this.jButtonDown.setEnabled(false);
/* 381 */     this.jButtonDown.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 383 */         ListOfValuesDialog.this.jButtonDownActionPerformed(evt);
/*     */       }
/*     */       
/* 386 */     });
/* 387 */     gridBagConstraints = new GridBagConstraints();
/* 388 */     gridBagConstraints.gridx = 0;
/* 389 */     gridBagConstraints.fill = 2;
/* 390 */     gridBagConstraints.weightx = 1.0D;
/* 391 */     this.jPanel5.add(this.jButtonDown, gridBagConstraints);
/*     */     
/* 393 */     gridBagConstraints = new GridBagConstraints();
/* 394 */     gridBagConstraints.gridx = 0;
/* 395 */     gridBagConstraints.weighty = 1.0D;
/* 396 */     this.jPanel5.add(this.jPanel6, gridBagConstraints);
/*     */     
/* 398 */     gridBagConstraints = new GridBagConstraints();
/* 399 */     gridBagConstraints.fill = 1;
/* 400 */     gridBagConstraints.anchor = 11;
/* 401 */     gridBagConstraints.insets = new Insets(4, 0, 4, 4);
/* 402 */     this.jPanel3.add(this.jPanel5, gridBagConstraints);
/*     */     
/* 404 */     this.jTabbedPane1.addTab("List of values", this.jPanel3);
/*     */     
/* 406 */     gridBagConstraints = new GridBagConstraints();
/* 407 */     gridBagConstraints.gridx = 0;
/* 408 */     gridBagConstraints.fill = 1;
/* 409 */     gridBagConstraints.weightx = 1.0D;
/* 410 */     gridBagConstraints.weighty = 1.0D;
/* 411 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 413 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 415 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 416 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 417 */     this.jButtonSave.setText("Save");
/* 418 */     this.jButtonSave.setEnabled(false);
/* 419 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 421 */         ListOfValuesDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 424 */     });
/* 425 */     gridBagConstraints = new GridBagConstraints();
/* 426 */     gridBagConstraints.anchor = 13;
/* 427 */     gridBagConstraints.weightx = 1.0D;
/* 428 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 429 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 431 */     this.jButtonClose.setText("Cancel");
/* 432 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 434 */         ListOfValuesDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 437 */     });
/* 438 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 440 */     gridBagConstraints = new GridBagConstraints();
/* 441 */     gridBagConstraints.gridx = 0;
/* 442 */     gridBagConstraints.fill = 2;
/* 443 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 444 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 446 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonDownActionPerformed(ActionEvent evt) {
/* 450 */     if (this.jTableLOV.getSelectedRow() >= 0)
/*     */     {
/* 452 */       DefaultTableModel dtm = (DefaultTableModel)this.jTableLOV.getModel();
/* 453 */       int[] indices = this.jTableLOV.getSelectedRows();
/* 454 */       for (int i = indices.length - 1; i >= 0; i--)
/*     */       {
/* 456 */         if (indices[i] != dtm.getRowCount() - 1) {
/* 457 */           dtm.moveRow(indices[i], indices[i], indices[i] + 1);
/* 458 */           ((DefaultListSelectionModel)this.jTableLOV.getSelectionModel()).removeSelectionInterval(indices[i], indices[i]);
/* 459 */           indices[i] += 1;
/* 460 */           ((DefaultListSelectionModel)this.jTableLOV.getSelectionModel()).addSelectionInterval(indices[i], indices[i]);
/*     */         } }
/*     */     }
/*     */   }
/*     */   
/*     */   private void jButtonUpActionPerformed(ActionEvent evt) {
/* 466 */     if (this.jTableLOV.getSelectedRow() >= 0)
/*     */     {
/* 468 */       DefaultTableModel dtm = (DefaultTableModel)this.jTableLOV.getModel();
/* 469 */       int[] indices = this.jTableLOV.getSelectedRows();
/* 470 */       for (int i = 0; i < indices.length; i++)
/*     */       {
/* 472 */         if (indices[i] != 0) {
/* 473 */           dtm.moveRow(indices[i], indices[i], indices[i] - 1);
/* 474 */           ((DefaultListSelectionModel)this.jTableLOV.getSelectionModel()).removeIndexInterval(indices[i], indices[i]);
/* 475 */           indices[i] -= 1;
/* 476 */           ((DefaultListSelectionModel)this.jTableLOV.getSelectionModel()).addSelectionInterval(indices[i], indices[i]);
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonDeleteActionPerformed(ActionEvent evt)
/*     */   {
/* 485 */     while (this.jTableLOV.getSelectedRowCount() > 0)
/*     */     {
/* 487 */       ((DefaultTableModel)this.jTableLOV.getModel()).removeRow(this.jTableLOV.getSelectedRow());
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private void jButtonInsertActionPerformed(ActionEvent evt)
/*     */   {
/* 495 */     ((DefaultTableModel)this.jTableLOV.getModel()).addRow(new Object[] { "", "" });
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private void jButtonInsertAncestorAdded(AncestorEvent evt) {}
/*     */   
/*     */ 
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 505 */     setVisible(false);
/* 506 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 512 */     ResourceDescriptor rd = new ResourceDescriptor();
/*     */     
/* 514 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 515 */     rd.setName(this.jTextFieldName.getText());
/* 516 */     String uri = getParentFolder();
/* 517 */     if (!uri.endsWith("/")) uri = uri + "/";
/* 518 */     uri = uri + this.jTextFieldName.getText();
/* 519 */     rd.setUriString(uri);
/* 520 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 521 */     rd.setParentFolder(getParentFolder());
/* 522 */     rd.setIsNew(this.resource == null);
/*     */     
/* 524 */     rd.setWsType("lov");
/*     */     
/* 526 */     List items = new ArrayList();
/*     */     
/* 528 */     for (int i = 0; i < this.jTableLOV.getRowCount(); i++)
/*     */     {
/* 530 */       String s1 = (String)this.jTableLOV.getValueAt(i, 0);
/* 531 */       String s2 = (String)this.jTableLOV.getValueAt(i, 1);
/* 532 */       s1 = s1.trim();
/* 533 */       s2 = s2.trim();
/* 534 */       if ((s1.length() == 0) || (s2.length() == 0))
/*     */       {
/* 536 */         JOptionPane.showMessageDialog(this, "Labels and values cannot be blank.");
/* 537 */         return;
/*     */       }
/*     */       
/*     */ 
/* 541 */       items.add(new ListItem(s1, s2));
/*     */     }
/*     */     
/* 544 */     rd.setListOfValues(items);
/*     */     
/*     */     try
/*     */     {
/* 548 */       validate(rd);
/* 549 */       if (!this.doNotStore)
/*     */       {
/* 551 */         this.newResourceDescriptor = getServer().getWSClient().addOrModifyResource(rd, null);
/*     */       } else {
/* 553 */         this.newResourceDescriptor = rd;
/*     */       }
/* 555 */       setDialogResult(0);
/*     */       
/* 557 */       if (this.resource != null)
/*     */       {
/* 559 */         this.resource.setDescriptor(this.newResourceDescriptor);
/*     */       }
/*     */       
/* 562 */       setVisible(false);
/* 563 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 566 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 567 */       ex.printStackTrace();
/* 568 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   public int getDialogResult()
/*     */   {
/* 574 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 578 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getServer()
/*     */   {
/* 583 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 587 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 591 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder) {
/* 595 */     this.parentFolder = parentFolder;
/* 596 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 600 */     return this.newResourceDescriptor;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(RepositoryFolder resource)
/*     */   {
/* 609 */     this.resource = resource;
/* 610 */     if (resource != null)
/*     */     {
/* 612 */       setResource(resource.getDescriptor());
/* 613 */       this.jTextFieldName.setEditable(false);
/* 614 */       this.jTextFieldName.setOpaque(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(ResourceDescriptor descriptor)
/*     */   {
/* 625 */     this.resource = this.resource;
/* 626 */     this.jTextFieldName.setText(descriptor.getName());
/*     */     
/*     */ 
/* 629 */     this.jTextFieldLabel.setText(descriptor.getLabel());
/* 630 */     this.jEditorPaneDescription.setText(descriptor.getDescription());
/*     */     
/*     */ 
/* 633 */     List list = descriptor.getListOfValues();
/* 634 */     if (list != null)
/*     */     {
/* 636 */       DefaultTableModel dtm = (DefaultTableModel)this.jTableLOV.getModel();
/* 637 */       for (int i = 0; i < list.size(); i++)
/*     */       {
/* 639 */         ListItem li = (ListItem)list.get(i);
/* 640 */         dtm.addRow(new Object[] { li.getLabel(), li.getValue() + "" });
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanel2;
/*     */   
/*     */ 
/*     */   private JPanel jPanel3;
/*     */   
/*     */ 
/*     */   private JPanel jPanel4;
/*     */   
/*     */ 
/*     */   private JPanel jPanel5;
/*     */   
/*     */ 
/*     */   private JPanel jPanel6;
/*     */   
/*     */ 
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */ 
/*     */   private JScrollPane jScrollPane2;
/*     */   
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   private JSeparator jSeparator2;
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   
/*     */   private JTable jTableLOV;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   public void validate(ResourceDescriptor dataType)
/*     */     throws Exception
/*     */   {
/* 684 */     ValidationUtils.validateName(dataType.getName());
/* 685 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 686 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */   }
/*     */   
/*     */   public boolean isDoNotStore() {
/* 690 */     return this.doNotStore;
/*     */   }
/*     */   
/*     */   public void setDoNotStore(boolean doNotStore) {
/* 694 */     this.doNotStore = doNotStore;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\ListOfValuesDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */