/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.net.MalformedURLException;
/*     */ import java.net.URL;
/*     */ import java.rmi.Remote;
/*     */ import java.util.HashSet;
/*     */ import java.util.Iterator;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.rpc.ServiceException;
/*     */ import org.apache.axis.AxisFault;
/*     */ import org.apache.axis.EngineConfiguration;
/*     */ import org.apache.axis.client.Service;
/*     */ import org.apache.axis.client.Stub;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ReportSchedulerServiceLocator
/*     */   extends Service
/*     */   implements ReportSchedulerService
/*     */ {
/*     */   public ReportSchedulerServiceLocator() {}
/*     */   
/*     */   public ReportSchedulerServiceLocator(EngineConfiguration config)
/*     */   {
/*  37 */     super(config);
/*     */   }
/*     */   
/*     */   public ReportSchedulerServiceLocator(String wsdlLoc, QName sName) throws ServiceException {
/*  41 */     super(wsdlLoc, sName);
/*     */   }
/*     */   
/*     */ 
/*  45 */   private String ReportScheduler_address = "http://localhost:8880/jasperserver/services/ReportScheduler";
/*     */   
/*     */   public String getReportSchedulerAddress() {
/*  48 */     return this.ReportScheduler_address;
/*     */   }
/*     */   
/*     */ 
/*  52 */   private String ReportSchedulerWSDDServiceName = "ReportScheduler";
/*     */   
/*     */   public String getReportSchedulerWSDDServiceName() {
/*  55 */     return this.ReportSchedulerWSDDServiceName;
/*     */   }
/*     */   
/*     */   public void setReportSchedulerWSDDServiceName(String name) {
/*  59 */     this.ReportSchedulerWSDDServiceName = name;
/*     */   }
/*     */   
/*     */   public ReportScheduler getReportScheduler() throws ServiceException {
/*     */     URL endpoint;
/*     */     try {
/*  65 */       endpoint = new URL(this.ReportScheduler_address);
/*     */     }
/*     */     catch (MalformedURLException e) {
/*  68 */       throw new ServiceException(e);
/*     */     }
/*  70 */     return getReportScheduler(endpoint);
/*     */   }
/*     */   
/*     */   public ReportScheduler getReportScheduler(URL portAddress) throws ServiceException {
/*     */     try {
/*  75 */       ReportSchedulerSoapBindingStub _stub = new ReportSchedulerSoapBindingStub(portAddress, this);
/*  76 */       _stub.setPortName(getReportSchedulerWSDDServiceName());
/*  77 */       return _stub;
/*     */     }
/*     */     catch (AxisFault e) {}
/*  80 */     return null;
/*     */   }
/*     */   
/*     */   public void setReportSchedulerEndpointAddress(String address)
/*     */   {
/*  85 */     this.ReportScheduler_address = address;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public Remote getPort(Class serviceEndpointInterface)
/*     */     throws ServiceException
/*     */   {
/*     */     try
/*     */     {
/*  95 */       if (ReportScheduler.class.isAssignableFrom(serviceEndpointInterface)) {
/*  96 */         ReportSchedulerSoapBindingStub _stub = new ReportSchedulerSoapBindingStub(new URL(this.ReportScheduler_address), this);
/*  97 */         _stub.setPortName(getReportSchedulerWSDDServiceName());
/*  98 */         return _stub;
/*     */       }
/*     */     }
/*     */     catch (Throwable t) {
/* 102 */       throw new ServiceException(t);
/*     */     }
/* 104 */     throw new ServiceException("There is no stub implementation for the interface:  " + (serviceEndpointInterface == null ? "null" : serviceEndpointInterface.getName()));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public Remote getPort(QName portName, Class serviceEndpointInterface)
/*     */     throws ServiceException
/*     */   {
/* 113 */     if (portName == null) {
/* 114 */       return getPort(serviceEndpointInterface);
/*     */     }
/* 116 */     String inputPortName = portName.getLocalPart();
/* 117 */     if ("ReportScheduler".equals(inputPortName)) {
/* 118 */       return getReportScheduler();
/*     */     }
/*     */     
/* 121 */     Remote _stub = getPort(serviceEndpointInterface);
/* 122 */     ((Stub)_stub).setPortName(portName);
/* 123 */     return _stub;
/*     */   }
/*     */   
/*     */   public QName getServiceName()
/*     */   {
/* 128 */     return new QName("http://www.jasperforge.org/jasperserver/ws", "ReportSchedulerService");
/*     */   }
/*     */   
/* 131 */   private HashSet ports = null;
/*     */   
/*     */   public Iterator getPorts() {
/* 134 */     if (this.ports == null) {
/* 135 */       this.ports = new HashSet();
/* 136 */       this.ports.add(new QName("http://www.jasperforge.org/jasperserver/ws", "ReportScheduler"));
/*     */     }
/* 138 */     return this.ports.iterator();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public void setEndpointAddress(String portName, String address)
/*     */     throws ServiceException
/*     */   {
/* 146 */     if ("ReportScheduler".equals(portName)) {
/* 147 */       setReportSchedulerEndpointAddress(address);
/*     */     }
/*     */     else
/*     */     {
/* 151 */       throw new ServiceException(" Cannot set Endpoint Address for Unknown Port" + portName);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   public void setEndpointAddress(QName portName, String address)
/*     */     throws ServiceException
/*     */   {
/* 159 */     setEndpointAddress(portName.getLocalPart(), address);
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\ws\scheduling\ReportSchedulerServiceLocator.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */