/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import it.businesslogic.ireport.IReportConnection;
/*     */ import it.businesslogic.ireport.connection.JDBCConnection;
/*     */ import it.businesslogic.ireport.gui.MainFrame;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.Vector;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JPasswordField;
/*     */ import javax.swing.JRadioButton;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class DataSourceDialog extends JDialog
/*     */ {
/*  43 */   private int dialogResult = 2;
/*     */   
/*  45 */   private JServer server = null;
/*  46 */   private String parentFolder = null;
/*  47 */   private RepositoryFolder datasourceResource = null;
/*     */   
/*  49 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   
/*  51 */   private boolean doNotStore = false;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonImportConnection;
/*     */   private JButton jButtonSave;
/*     */   
/*  57 */   public DataSourceDialog(java.awt.Frame parent, boolean modal) { super(parent, modal);
/*  58 */     initComponents();
/*     */     
/*  60 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*  61 */     DocumentListener changesListener = new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  63 */         DataSourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  66 */       public void insertUpdate(DocumentEvent evt) { DataSourceDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  69 */         DataSourceDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  72 */     };
/*  73 */     this.jTextFieldLabel.getDocument().addDocumentListener(changesListener);
/*  74 */     this.jTextFieldName.getDocument().addDocumentListener(changesListener);
/*  75 */     this.jTextFieldDriver.getDocument().addDocumentListener(changesListener);
/*  76 */     this.jTextFieldURL.getDocument().addDocumentListener(changesListener);
/*  77 */     this.jTextFieldUsername.getDocument().addDocumentListener(changesListener);
/*  78 */     this.jTextFieldServiceName.getDocument().addDocumentListener(changesListener);
/*  79 */     this.jPasswordField.getDocument().addDocumentListener(changesListener);
/*  80 */     this.jTextFieldBeanName.getDocument().addDocumentListener(changesListener);
/*     */     
/*  82 */     applyI18n();
/*     */     
/*  84 */     this.jTextFieldName.requestFocusInWindow();
/*     */   }
/*     */   
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   private JLabel jLabel1;
/*     */   
/*  90 */   public void applyI18n() { this.jButtonClose.setText(IRPlugin.getString("dataSourceDialog.buttonCancel", "Cancel"));
/*  91 */     this.jButtonImportConnection.setText(IRPlugin.getString("dataSourceDialog.buttonImportConnection", "Import from iReport"));
/*  92 */     this.jButtonSave.setText(IRPlugin.getString("dataSourceDialog.buttonSave", "Save"));
/*  93 */     this.jLabel1.setText(IRPlugin.getString("dataSourceDialog.title", "Data Source"));
/*  94 */     this.jLabelBeanMethod.setText(IRPlugin.getString("dataSourceDialog.labelBeanMethod", "Bean Method"));
/*  95 */     this.jLabelBeanName.setText(IRPlugin.getString("dataSourceDialog.labelBeanName", "Bean Name"));
/*  96 */     this.jLabelDescription.setText(IRPlugin.getString("dataSourceDialog.labelDescription", "Description"));
/*  97 */     this.jLabelDriver.setText(IRPlugin.getString("dataSourceDialog.labelDriver", "Driver"));
/*  98 */     this.jLabelLabel.setText(IRPlugin.getString("dataSourceDialog.labelLabel", "Label"));
/*  99 */     this.jLabelName.setText(IRPlugin.getString("dataSourceDialog.labelName", "Name"));
/* 100 */     this.jLabelUriString.setText(IRPlugin.getString("dataSourceDialog.labelParentFolder", "Parent folder"));
/* 101 */     this.jLabelPassword.setText(IRPlugin.getString("dataSourceDialog.labelPassword", "Password"));
/* 102 */     this.jLabelServiceName.setText(IRPlugin.getString("dataSourceDialog.labelServiceName", "Service Name"));
/* 103 */     this.jLabelURL.setText(IRPlugin.getString("dataSourceDialog.labelURL", "URL"));
/* 104 */     this.jLabelUsername.setText(IRPlugin.getString("dataSourceDialog.labelUsername", "Username"));
/* 105 */     this.jRadioButtonBean.setText(IRPlugin.getString("dataSourceDialog.radioBean", "Bean Data Source"));
/* 106 */     this.jRadioButtonJDBC.setText(IRPlugin.getString("dataSourceDialog.radioJDBC", "JDBC Data Source"));
/* 107 */     this.jRadioButtonJNDI.setText(IRPlugin.getString("dataSourceDialog.radioJNDI", "JNDI Data Source"));
/* 108 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("dataSourceDialog.tabGeneral", "General"));
/* 109 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("dataSourceDialog.tabDetails", "Data Source details")); }
/*     */   
/*     */   private JLabel jLabelBeanMethod;
/*     */   private JLabel jLabelBeanName;
/*     */   private JLabel jLabelDescription;
/* 114 */   private void updateSaveButton() { if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0))
/*     */     {
/*     */ 
/* 117 */       boolean ok = false;
/* 118 */       if ((this.jRadioButtonJDBC.isSelected()) && (this.jTextFieldDriver.getText().length() > 0) && (this.jTextFieldURL.getText().length() > 0) && (this.jTextFieldUsername.getText().length() > 0))
/*     */       {
/*     */ 
/*     */ 
/*     */ 
/* 123 */         ok = true;
/*     */       }
/* 125 */       else if ((this.jRadioButtonJNDI.isSelected()) && (this.jTextFieldServiceName.getText().length() > 0))
/*     */       {
/*     */ 
/* 128 */         ok = true;
/*     */       }
/* 130 */       else if ((this.jRadioButtonBean.isSelected()) && (this.jTextFieldBeanName.getText().length() > 0))
/*     */       {
/*     */ 
/* 133 */         ok = true;
/*     */       }
/*     */       
/* 136 */       this.jButtonSave.setEnabled(ok);
/*     */     }
/*     */     else
/*     */     {
/* 140 */       this.jButtonSave.setEnabled(false);
/*     */     } }
/*     */   
/*     */   private JLabel jLabelDriver;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelPassword;
/*     */   private JLabel jLabelServiceName;
/*     */   private JLabel jLabelURL;
/*     */   private JLabel jLabelUriString;
/*     */   private JLabel jLabelUsername;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/* 153 */   private void initComponents() { this.buttonGroup1 = new ButtonGroup();
/* 154 */     this.jPanel1 = new JPanel();
/* 155 */     this.jLabel1 = new JLabel();
/* 156 */     this.jSeparator1 = new JSeparator();
/* 157 */     this.jTabbedPane1 = new JTabbedPane();
/* 158 */     this.jPanel2 = new JPanel();
/* 159 */     this.jLabelUriString = new JLabel();
/* 160 */     this.jTextFieldUriString = new JTextField();
/* 161 */     this.jLabelName = new JLabel();
/* 162 */     this.jTextFieldName = new JTextField();
/* 163 */     this.jSeparator2 = new JSeparator();
/* 164 */     this.jLabelLabel = new JLabel();
/* 165 */     this.jTextFieldLabel = new JTextField();
/* 166 */     this.jScrollPane1 = new JScrollPane();
/* 167 */     this.jEditorPaneDescription = new JEditorPane();
/* 168 */     this.jLabelDescription = new JLabel();
/* 169 */     this.jPanel3 = new JPanel();
/* 170 */     this.jRadioButtonJDBC = new JRadioButton();
/* 171 */     this.jLabelDriver = new JLabel();
/* 172 */     this.jTextFieldDriver = new JTextField();
/* 173 */     this.jLabelURL = new JLabel();
/* 174 */     this.jTextFieldURL = new JTextField();
/* 175 */     this.jLabelUsername = new JLabel();
/* 176 */     this.jTextFieldUsername = new JTextField();
/* 177 */     this.jLabelPassword = new JLabel();
/* 178 */     this.jPasswordField = new JPasswordField();
/* 179 */     this.jButtonImportConnection = new JButton();
/* 180 */     this.jRadioButtonJNDI = new JRadioButton();
/* 181 */     this.jLabelServiceName = new JLabel();
/* 182 */     this.jTextFieldServiceName = new JTextField();
/* 183 */     this.jPanel5 = new JPanel();
/* 184 */     this.jRadioButtonBean = new JRadioButton();
/* 185 */     this.jLabelBeanName = new JLabel();
/* 186 */     this.jTextFieldBeanName = new JTextField();
/* 187 */     this.jLabelBeanMethod = new JLabel();
/* 188 */     this.jTextFieldBeanMethod = new JTextField();
/* 189 */     this.jPanel4 = new JPanel();
/* 190 */     this.jButtonSave = new JButton();
/* 191 */     this.jButtonClose = new JButton();
/*     */     
/* 193 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 195 */     setDefaultCloseOperation(2);
/* 196 */     setTitle("DataSource");
/* 197 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 199 */     this.jPanel1.setBackground(new java.awt.Color(255, 255, 255));
/* 200 */     this.jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
/* 201 */     this.jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_new.png")));
/* 202 */     this.jLabel1.setText("Datasource");
/* 203 */     this.jLabel1.setVerticalAlignment(3);
/* 204 */     this.jLabel1.setVerticalTextPosition(3);
/* 205 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 206 */     gridBagConstraints.fill = 1;
/* 207 */     gridBagConstraints.weightx = 1.0D;
/* 208 */     gridBagConstraints.weighty = 1.0D;
/* 209 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 211 */     gridBagConstraints = new GridBagConstraints();
/* 212 */     gridBagConstraints.fill = 2;
/* 213 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 215 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 216 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 217 */     gridBagConstraints = new GridBagConstraints();
/* 218 */     gridBagConstraints.gridx = 0;
/* 219 */     gridBagConstraints.fill = 2;
/* 220 */     gridBagConstraints.weightx = 1.0D;
/* 221 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 223 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 225 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 226 */     this.jLabelUriString.setText("Parent folder");
/* 227 */     gridBagConstraints = new GridBagConstraints();
/* 228 */     gridBagConstraints.gridx = 0;
/* 229 */     gridBagConstraints.fill = 2;
/* 230 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 231 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 233 */     this.jTextFieldUriString.setEditable(false);
/* 234 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 235 */     this.jTextFieldUriString.setOpaque(false);
/* 236 */     gridBagConstraints = new GridBagConstraints();
/* 237 */     gridBagConstraints.gridx = 1;
/* 238 */     gridBagConstraints.fill = 2;
/* 239 */     gridBagConstraints.weightx = 1.0D;
/* 240 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 241 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 243 */     this.jLabelName.setText("Name");
/* 244 */     gridBagConstraints = new GridBagConstraints();
/* 245 */     gridBagConstraints.gridx = 0;
/* 246 */     gridBagConstraints.fill = 2;
/* 247 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 248 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 250 */     gridBagConstraints = new GridBagConstraints();
/* 251 */     gridBagConstraints.gridx = 1;
/* 252 */     gridBagConstraints.fill = 2;
/* 253 */     gridBagConstraints.weightx = 1.0D;
/* 254 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 255 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 257 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 258 */     gridBagConstraints = new GridBagConstraints();
/* 259 */     gridBagConstraints.gridx = 0;
/* 260 */     gridBagConstraints.gridwidth = 2;
/* 261 */     gridBagConstraints.fill = 2;
/* 262 */     gridBagConstraints.weightx = 1.0D;
/* 263 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 264 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 266 */     this.jLabelLabel.setText("Label");
/* 267 */     gridBagConstraints = new GridBagConstraints();
/* 268 */     gridBagConstraints.gridx = 0;
/* 269 */     gridBagConstraints.fill = 2;
/* 270 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 271 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 273 */     gridBagConstraints = new GridBagConstraints();
/* 274 */     gridBagConstraints.gridx = 1;
/* 275 */     gridBagConstraints.fill = 2;
/* 276 */     gridBagConstraints.weightx = 1.0D;
/* 277 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 278 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 280 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 282 */     gridBagConstraints = new GridBagConstraints();
/* 283 */     gridBagConstraints.gridx = 1;
/* 284 */     gridBagConstraints.fill = 1;
/* 285 */     gridBagConstraints.weightx = 1.0D;
/* 286 */     gridBagConstraints.weighty = 1.0D;
/* 287 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 288 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 290 */     this.jLabelDescription.setText("Description");
/* 291 */     gridBagConstraints = new GridBagConstraints();
/* 292 */     gridBagConstraints.gridx = 0;
/* 293 */     gridBagConstraints.fill = 2;
/* 294 */     gridBagConstraints.anchor = 11;
/* 295 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 296 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 298 */     this.jTabbedPane1.addTab("General", this.jPanel2);
/*     */     
/* 300 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 302 */     this.buttonGroup1.add(this.jRadioButtonJDBC);
/* 303 */     this.jRadioButtonJDBC.setText("JDBC Data Source");
/* 304 */     this.jRadioButtonJDBC.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 305 */     this.jRadioButtonJDBC.setMargin(new Insets(0, 0, 0, 0));
/* 306 */     this.jRadioButtonJDBC.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 308 */         DataSourceDialog.this.jRadioButtonJDBCActionPerformed(evt);
/*     */       }
/*     */       
/* 311 */     });
/* 312 */     gridBagConstraints = new GridBagConstraints();
/* 313 */     gridBagConstraints.gridwidth = 2;
/* 314 */     gridBagConstraints.fill = 2;
/* 315 */     gridBagConstraints.weightx = 1.0D;
/* 316 */     gridBagConstraints.insets = new Insets(8, 8, 4, 4);
/* 317 */     this.jPanel3.add(this.jRadioButtonJDBC, gridBagConstraints);
/*     */     
/* 319 */     this.jLabelDriver.setText("Driver");
/* 320 */     this.jLabelDriver.setEnabled(false);
/* 321 */     gridBagConstraints = new GridBagConstraints();
/* 322 */     gridBagConstraints.gridx = 0;
/* 323 */     gridBagConstraints.fill = 2;
/* 324 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 325 */     this.jPanel3.add(this.jLabelDriver, gridBagConstraints);
/*     */     
/* 327 */     this.jTextFieldDriver.setEnabled(false);
/* 328 */     gridBagConstraints = new GridBagConstraints();
/* 329 */     gridBagConstraints.gridx = 1;
/* 330 */     gridBagConstraints.fill = 2;
/* 331 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 332 */     this.jPanel3.add(this.jTextFieldDriver, gridBagConstraints);
/*     */     
/* 334 */     this.jLabelURL.setText("URL");
/* 335 */     this.jLabelURL.setEnabled(false);
/* 336 */     gridBagConstraints = new GridBagConstraints();
/* 337 */     gridBagConstraints.gridx = 0;
/* 338 */     gridBagConstraints.fill = 2;
/* 339 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 340 */     this.jPanel3.add(this.jLabelURL, gridBagConstraints);
/*     */     
/* 342 */     this.jTextFieldURL.setEnabled(false);
/* 343 */     gridBagConstraints = new GridBagConstraints();
/* 344 */     gridBagConstraints.gridx = 1;
/* 345 */     gridBagConstraints.fill = 2;
/* 346 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 347 */     this.jPanel3.add(this.jTextFieldURL, gridBagConstraints);
/*     */     
/* 349 */     this.jLabelUsername.setText("Username");
/* 350 */     this.jLabelUsername.setEnabled(false);
/* 351 */     gridBagConstraints = new GridBagConstraints();
/* 352 */     gridBagConstraints.gridx = 0;
/* 353 */     gridBagConstraints.fill = 2;
/* 354 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 355 */     this.jPanel3.add(this.jLabelUsername, gridBagConstraints);
/*     */     
/* 357 */     this.jTextFieldUsername.setEnabled(false);
/* 358 */     gridBagConstraints = new GridBagConstraints();
/* 359 */     gridBagConstraints.gridx = 1;
/* 360 */     gridBagConstraints.fill = 2;
/* 361 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 362 */     this.jPanel3.add(this.jTextFieldUsername, gridBagConstraints);
/*     */     
/* 364 */     this.jLabelPassword.setText("Password");
/* 365 */     this.jLabelPassword.setEnabled(false);
/* 366 */     gridBagConstraints = new GridBagConstraints();
/* 367 */     gridBagConstraints.gridx = 0;
/* 368 */     gridBagConstraints.fill = 2;
/* 369 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 370 */     this.jPanel3.add(this.jLabelPassword, gridBagConstraints);
/*     */     
/* 372 */     this.jPasswordField.setEnabled(false);
/* 373 */     this.jPasswordField.setMinimumSize(new Dimension(11, 19));
/* 374 */     this.jPasswordField.setPreferredSize(new Dimension(11, 19));
/* 375 */     gridBagConstraints = new GridBagConstraints();
/* 376 */     gridBagConstraints.gridx = 1;
/* 377 */     gridBagConstraints.fill = 2;
/* 378 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 379 */     this.jPanel3.add(this.jPasswordField, gridBagConstraints);
/*     */     
/* 381 */     this.jButtonImportConnection.setText("Import from iReport");
/* 382 */     this.jButtonImportConnection.setEnabled(false);
/* 383 */     this.jButtonImportConnection.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 385 */         DataSourceDialog.this.jButtonImportConnectionActionPerformed(evt);
/*     */       }
/*     */       
/* 388 */     });
/* 389 */     gridBagConstraints = new GridBagConstraints();
/* 390 */     gridBagConstraints.gridx = 1;
/* 391 */     gridBagConstraints.anchor = 13;
/* 392 */     gridBagConstraints.insets = new Insets(0, 4, 0, 8);
/* 393 */     this.jPanel3.add(this.jButtonImportConnection, gridBagConstraints);
/*     */     
/* 395 */     this.buttonGroup1.add(this.jRadioButtonJNDI);
/* 396 */     this.jRadioButtonJNDI.setSelected(true);
/* 397 */     this.jRadioButtonJNDI.setText("JNDI Data Source");
/* 398 */     this.jRadioButtonJNDI.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 399 */     this.jRadioButtonJNDI.setMargin(new Insets(0, 0, 0, 0));
/* 400 */     this.jRadioButtonJNDI.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 402 */         DataSourceDialog.this.jRadioButtonJNDIActionPerformed(evt);
/*     */       }
/*     */       
/* 405 */     });
/* 406 */     gridBagConstraints = new GridBagConstraints();
/* 407 */     gridBagConstraints.gridx = 0;
/* 408 */     gridBagConstraints.gridwidth = 2;
/* 409 */     gridBagConstraints.fill = 2;
/* 410 */     gridBagConstraints.weightx = 1.0D;
/* 411 */     gridBagConstraints.insets = new Insets(16, 8, 4, 4);
/* 412 */     this.jPanel3.add(this.jRadioButtonJNDI, gridBagConstraints);
/*     */     
/* 414 */     this.jLabelServiceName.setText("Service Name");
/* 415 */     gridBagConstraints = new GridBagConstraints();
/* 416 */     gridBagConstraints.gridx = 0;
/* 417 */     gridBagConstraints.fill = 2;
/* 418 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 419 */     this.jPanel3.add(this.jLabelServiceName, gridBagConstraints);
/*     */     
/* 421 */     gridBagConstraints = new GridBagConstraints();
/* 422 */     gridBagConstraints.gridx = 1;
/* 423 */     gridBagConstraints.fill = 2;
/* 424 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 425 */     this.jPanel3.add(this.jTextFieldServiceName, gridBagConstraints);
/*     */     
/* 427 */     gridBagConstraints = new GridBagConstraints();
/* 428 */     gridBagConstraints.gridx = 0;
/* 429 */     gridBagConstraints.weighty = 1.0D;
/* 430 */     this.jPanel3.add(this.jPanel5, gridBagConstraints);
/*     */     
/* 432 */     this.buttonGroup1.add(this.jRadioButtonBean);
/* 433 */     this.jRadioButtonBean.setText("Bean Data Source");
/* 434 */     this.jRadioButtonBean.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 435 */     this.jRadioButtonBean.setMargin(new Insets(0, 0, 0, 0));
/* 436 */     this.jRadioButtonBean.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 438 */         DataSourceDialog.this.jRadioButtonJNDIActionPerformed1(evt);
/*     */       }
/*     */       
/* 441 */     });
/* 442 */     gridBagConstraints = new GridBagConstraints();
/* 443 */     gridBagConstraints.gridx = 0;
/* 444 */     gridBagConstraints.gridwidth = 2;
/* 445 */     gridBagConstraints.fill = 2;
/* 446 */     gridBagConstraints.weightx = 1.0D;
/* 447 */     gridBagConstraints.insets = new Insets(16, 8, 4, 4);
/* 448 */     this.jPanel3.add(this.jRadioButtonBean, gridBagConstraints);
/*     */     
/* 450 */     this.jLabelBeanName.setText("Bean Name");
/* 451 */     this.jLabelBeanName.setEnabled(false);
/* 452 */     gridBagConstraints = new GridBagConstraints();
/* 453 */     gridBagConstraints.gridx = 0;
/* 454 */     gridBagConstraints.fill = 2;
/* 455 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 456 */     this.jPanel3.add(this.jLabelBeanName, gridBagConstraints);
/*     */     
/* 458 */     this.jTextFieldBeanName.setToolTipText("Name of configured bean");
/* 459 */     this.jTextFieldBeanName.setEnabled(false);
/* 460 */     gridBagConstraints = new GridBagConstraints();
/* 461 */     gridBagConstraints.gridx = 1;
/* 462 */     gridBagConstraints.fill = 2;
/* 463 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 464 */     this.jPanel3.add(this.jTextFieldBeanName, gridBagConstraints);
/*     */     
/* 466 */     this.jLabelBeanMethod.setText("Bean Method");
/* 467 */     this.jLabelBeanMethod.setEnabled(false);
/* 468 */     gridBagConstraints = new GridBagConstraints();
/* 469 */     gridBagConstraints.gridx = 0;
/* 470 */     gridBagConstraints.fill = 2;
/* 471 */     gridBagConstraints.insets = new Insets(0, 30, 4, 0);
/* 472 */     this.jPanel3.add(this.jLabelBeanMethod, gridBagConstraints);
/*     */     
/* 474 */     this.jTextFieldBeanMethod.setToolTipText("Name of method on configured bean (optional)");
/* 475 */     this.jTextFieldBeanMethod.setEnabled(false);
/* 476 */     gridBagConstraints = new GridBagConstraints();
/* 477 */     gridBagConstraints.gridx = 1;
/* 478 */     gridBagConstraints.fill = 2;
/* 479 */     gridBagConstraints.insets = new Insets(0, 4, 4, 8);
/* 480 */     this.jPanel3.add(this.jTextFieldBeanMethod, gridBagConstraints);
/*     */     
/* 482 */     this.jTabbedPane1.addTab("Datasource details", this.jPanel3);
/*     */     
/* 484 */     gridBagConstraints = new GridBagConstraints();
/* 485 */     gridBagConstraints.gridx = 0;
/* 486 */     gridBagConstraints.fill = 1;
/* 487 */     gridBagConstraints.weightx = 1.0D;
/* 488 */     gridBagConstraints.weighty = 1.0D;
/* 489 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 491 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 493 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 494 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 495 */     this.jButtonSave.setText("Save");
/* 496 */     this.jButtonSave.setEnabled(false);
/* 497 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 499 */         DataSourceDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 502 */     });
/* 503 */     gridBagConstraints = new GridBagConstraints();
/* 504 */     gridBagConstraints.anchor = 13;
/* 505 */     gridBagConstraints.weightx = 1.0D;
/* 506 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 507 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 509 */     this.jButtonClose.setText("Cancel");
/* 510 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 512 */         DataSourceDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 515 */     });
/* 516 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 518 */     gridBagConstraints = new GridBagConstraints();
/* 519 */     gridBagConstraints.gridx = 0;
/* 520 */     gridBagConstraints.fill = 2;
/* 521 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 522 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 524 */     pack();
/*     */   }
/*     */   
/*     */   private void jRadioButtonJNDIActionPerformed1(ActionEvent evt) {
/* 528 */     updateDatasourceType();
/*     */   }
/*     */   
/*     */   private void jRadioButtonJDBCActionPerformed(ActionEvent evt) {
/* 532 */     updateDatasourceType();
/*     */   }
/*     */   
/*     */   private void jButtonImportConnectionActionPerformed(ActionEvent evt)
/*     */   {
/* 537 */     Vector iReportConnections = MainFrame.getMainInstance().getConnections();
/*     */     
/* 539 */     Vector validConnections = new Vector();
/* 540 */     for (int i = 0; i < iReportConnections.size(); i++)
/*     */     {
/* 542 */       IReportConnection conn = (IReportConnection)iReportConnections.elementAt(i);
/* 543 */       if ((conn instanceof JDBCConnection))
/*     */       {
/* 545 */         validConnections.add(conn);
/*     */       }
/*     */     }
/* 548 */     if (validConnections.size() == 0)
/*     */     {
/* 550 */       JOptionPane.showMessageDialog(this, IRPlugin.getString("dataSourceDialog.message.noJDBCconfigured", "No JDBC connections currently configured in iReport."));
/*     */       
/*     */ 
/* 553 */       return;
/*     */     }
/* 555 */     JDBCConnection[] connections = new JDBCConnection[validConnections.size()];
/* 556 */     for (int i = 0; i < connections.length; i++)
/*     */     {
/* 558 */       connections[i] = ((JDBCConnection)(JDBCConnection)validConnections.elementAt(i));
/*     */     }
/*     */     
/* 561 */     JDBCConnection selectedCon = (JDBCConnection)JOptionPane.showInputDialog(this, IRPlugin.getString("dataSourceDialog.message.selectJDBC", "Select a JDBC datasource:"), IRPlugin.getString("dataSourceDialog.message.import", "Import..."), 0, null, connections, connections[0]);
/*     */     
/*     */ 
/*     */ 
/* 565 */     if (selectedCon != null)
/*     */     {
/* 567 */       this.jTextFieldDriver.setText(selectedCon.getJDBCDriver());
/* 568 */       this.jTextFieldURL.setText(selectedCon.getUrl());
/* 569 */       this.jTextFieldUsername.setText(selectedCon.getUsername());
/* 570 */       this.jPasswordField.setText(selectedCon.getPassword());
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */   private void jRadioButtonJNDIActionPerformed(ActionEvent evt)
/*     */   {
/* 577 */     updateDatasourceType();
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 582 */     setVisible(false);
/* 583 */     dispose();
/*     */   }
/*     */   
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/*     */     try {
/* 589 */       ResourceDescriptor rd = new ResourceDescriptor();
/*     */       
/* 591 */       ValidationUtils.validateName(this.jTextFieldName.getText());
/* 592 */       ValidationUtils.validateLabel(this.jTextFieldLabel.getText());
/* 593 */       ValidationUtils.validateDesc(this.jEditorPaneDescription.getText());
/*     */       
/* 595 */       rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 596 */       rd.setName(this.jTextFieldName.getText());
/* 597 */       String uri = getParentFolder();
/* 598 */       if (!uri.endsWith("/")) uri = uri + "/";
/* 599 */       uri = uri + this.jTextFieldName.getText();
/* 600 */       rd.setUriString(uri);
/* 601 */       rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 602 */       rd.setParentFolder(getParentFolder());
/* 603 */       rd.setIsNew(this.datasourceResource == null);
/*     */       
/* 605 */       if (this.jRadioButtonJDBC.isSelected())
/*     */       {
/* 607 */         rd.setWsType("jdbc");
/* 608 */         rd.setDriverClass(this.jTextFieldDriver.getText());
/* 609 */         rd.setConnectionUrl(this.jTextFieldURL.getText());
/* 610 */         rd.setUsername(this.jTextFieldUsername.getText());
/* 611 */         rd.setPassword(new String(this.jPasswordField.getPassword()));
/*     */       }
/* 613 */       else if (this.jRadioButtonJNDI.isSelected())
/*     */       {
/* 615 */         rd.setWsType("jndi");
/* 616 */         rd.setJndiName(this.jTextFieldServiceName.getText());
/*     */       }
/* 618 */       else if (this.jRadioButtonBean.isSelected())
/*     */       {
/* 620 */         rd.setWsType("bean");
/* 621 */         rd.setBeanName(this.jTextFieldBeanName.getText());
/* 622 */         rd.setBeanMethod(this.jTextFieldBeanMethod.getText());
/*     */       }
/*     */       
/*     */ 
/* 626 */       if (!this.doNotStore)
/*     */       {
/* 628 */         this.newResourceDescriptor = getServer().getWSClient().addOrModifyResource(rd, null);
/*     */       } else {
/* 630 */         this.newResourceDescriptor = rd;
/*     */       }
/* 632 */       setDialogResult(0);
/*     */       
/* 634 */       if (this.datasourceResource != null)
/*     */       {
/* 636 */         this.datasourceResource.setDescriptor(this.newResourceDescriptor);
/*     */       }
/*     */       
/* 639 */       setVisible(false);
/* 640 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 643 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 644 */       ex.printStackTrace();
/* 645 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   public int getDialogResult()
/*     */   {
/* 651 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 655 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getServer()
/*     */   {
/* 660 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 664 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 668 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder) {
/* 672 */     this.parentFolder = parentFolder;
/* 673 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 677 */     return this.newResourceDescriptor;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(RepositoryFolder resource)
/*     */   {
/* 685 */     this.datasourceResource = resource;
/* 686 */     if (resource != null)
/*     */     {
/* 688 */       setResource(resource.getDescriptor());
/* 689 */       this.jTextFieldName.setEditable(false);
/* 690 */       this.jTextFieldName.setOpaque(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(ResourceDescriptor descriptor)
/*     */   {
/* 699 */     if (descriptor == null) { return;
/*     */     }
/* 701 */     this.jTextFieldName.setText(descriptor.getName());
/* 702 */     this.jTextFieldLabel.setText(descriptor.getLabel());
/* 703 */     this.jEditorPaneDescription.setText(descriptor.getDescription());
/*     */     
/* 705 */     if (descriptor.getWsType().equals("jdbc"))
/*     */     {
/* 707 */       this.jRadioButtonJDBC.setEnabled(true);
/* 708 */       this.jRadioButtonJDBC.setSelected(true);
/* 709 */       this.jRadioButtonJNDI.setEnabled(false);
/* 710 */       this.jRadioButtonJNDI.setSelected(false);
/* 711 */       this.jRadioButtonBean.setSelected(false);
/* 712 */       this.jRadioButtonBean.setEnabled(false);
/*     */       
/* 714 */       updateDatasourceType();
/*     */       
/* 716 */       this.jTextFieldDriver.setText(descriptor.getDriverClass());
/* 717 */       this.jTextFieldURL.setText(descriptor.getConnectionUrl());
/* 718 */       this.jTextFieldUsername.setText(descriptor.getUsername());
/* 719 */       this.jPasswordField.setText(descriptor.getPassword());
/*     */     }
/* 721 */     else if (descriptor.getWsType().equals("jndi"))
/*     */     {
/* 723 */       this.jRadioButtonJDBC.setEnabled(false);
/* 724 */       this.jRadioButtonJDBC.setSelected(false);
/* 725 */       this.jRadioButtonJNDI.setEnabled(true);
/* 726 */       this.jRadioButtonJNDI.setSelected(true);
/* 727 */       this.jRadioButtonBean.setSelected(false);
/* 728 */       this.jRadioButtonBean.setEnabled(false);
/* 729 */       updateDatasourceType();
/*     */       
/* 731 */       this.jTextFieldServiceName.setText(descriptor.getJndiName());
/*     */     }
/* 733 */     else if (descriptor.getWsType().equals("bean"))
/*     */     {
/* 735 */       this.jRadioButtonJDBC.setEnabled(false);
/* 736 */       this.jRadioButtonJDBC.setSelected(false);
/* 737 */       this.jRadioButtonJNDI.setEnabled(false);
/* 738 */       this.jRadioButtonJNDI.setSelected(false);
/* 739 */       this.jRadioButtonBean.setSelected(true);
/* 740 */       this.jRadioButtonBean.setEnabled(true);
/* 741 */       updateDatasourceType();
/*     */       
/* 743 */       this.jTextFieldBeanName.setText(descriptor.getBeanName());
/* 744 */       this.jTextFieldBeanMethod.setText((descriptor.getBeanMethod() != null) && (descriptor.getBeanMethod().trim().length() > 0) ? descriptor.getBeanMethod() : "");
/*     */     }
/*     */     
/*     */ 
/* 748 */     this.jButtonSave.setText("Save");
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanel3;
/*     */   
/*     */ 
/*     */   private JPanel jPanel4;
/*     */   
/*     */   private JPanel jPanel5;
/*     */   
/*     */   private JPasswordField jPasswordField;
/*     */   
/*     */   private JRadioButton jRadioButtonBean;
/*     */   
/*     */   private JRadioButton jRadioButtonJDBC;
/*     */   
/*     */   private JRadioButton jRadioButtonJNDI;
/*     */   
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   private JSeparator jSeparator2;
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   
/*     */   private JTextField jTextFieldBeanMethod;
/*     */   
/*     */   private JTextField jTextFieldBeanName;
/*     */   
/*     */   private JTextField jTextFieldDriver;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldServiceName;
/*     */   
/*     */   private JTextField jTextFieldURL;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   private JTextField jTextFieldUsername;
/*     */   
/*     */   public void updateDatasourceType()
/*     */   {
/* 796 */     boolean b = this.jRadioButtonJDBC.isSelected();
/*     */     
/* 798 */     this.jTextFieldDriver.setEnabled(b);
/* 799 */     this.jTextFieldURL.setEnabled(b);
/* 800 */     this.jTextFieldUsername.setEnabled(b);
/* 801 */     this.jPasswordField.setEnabled(b);
/* 802 */     this.jButtonImportConnection.setEnabled(b);
/* 803 */     this.jLabelDriver.setEnabled(b);
/* 804 */     this.jLabelURL.setEnabled(b);
/* 805 */     this.jLabelUsername.setEnabled(b);
/* 806 */     this.jLabelPassword.setEnabled(b);
/*     */     
/* 808 */     b = this.jRadioButtonJNDI.isSelected();
/*     */     
/* 810 */     this.jTextFieldServiceName.setEnabled(b);
/* 811 */     this.jLabelServiceName.setEnabled(b);
/*     */     
/* 813 */     b = this.jRadioButtonBean.isSelected();
/* 814 */     this.jTextFieldBeanName.setEnabled(b);
/* 815 */     this.jLabelBeanName.setEnabled(b);
/* 816 */     this.jTextFieldBeanMethod.setEnabled(b);
/* 817 */     this.jLabelBeanMethod.setEnabled(b);
/*     */     
/* 819 */     updateSaveButton();
/*     */   }
/*     */   
/*     */   public boolean isDoNotStore() {
/* 823 */     return this.doNotStore;
/*     */   }
/*     */   
/*     */   public void setDoNotStore(boolean doNotStore) {
/* 827 */     this.doNotStore = doNotStore;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\DataSourceDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */