/*     */ package com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.InputControlQueryDataRow;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Collection;
/*     */ import java.util.Iterator;
/*     */ import java.util.List;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JTable;
/*     */ import javax.swing.table.DefaultTableModel;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TableListInputControlUI
/*     */   extends JPanel
/*     */   implements InputControlUI
/*     */ {
/*  46 */   private List itemValues = new ArrayList();
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JLabel jLabelName;
/*     */   
/*  50 */   public TableListInputControlUI() { initComponents();
/*     */     
/*  52 */     this.jTable1.getParent().setBackground(this.jTable1.getBackground());
/*     */   }
/*     */   
/*     */   public Object getValue()
/*     */   {
/*  57 */     List list = new ArrayList();
/*     */     
/*  59 */     int[] selection = this.jTable1.getSelectedRows();
/*  60 */     for (int i = 0; i < selection.length; i++)
/*     */     {
/*  62 */       list.add(this.itemValues.get(selection[i]));
/*     */     }
/*     */     
/*  65 */     return list;
/*     */   }
/*     */   
/*     */   public void setValue(Object v)
/*     */   {
/*  70 */     if ((v != null) && ((v instanceof Collection)))
/*     */     {
/*  72 */       this.jTable1.clearSelection();
/*  73 */       Iterator values = ((Collection)v).iterator();
/*  74 */       while (values.hasNext())
/*     */       {
/*  76 */         Object val = values.next();
/*  77 */         int row = this.itemValues.indexOf(val);
/*  78 */         if (row >= 0)
/*     */         {
/*  80 */           this.jTable1.addRowSelectionInterval(row, row);
/*     */         }
/*     */       }
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void initComponents()
/*     */   {
/*  95 */     this.buttonGroup1 = new ButtonGroup();
/*  96 */     this.jLabelName = new JLabel();
/*  97 */     this.jPanelList = new JPanel();
/*  98 */     this.jScrollPane1 = new JScrollPane();
/*  99 */     this.jTable1 = new JTable();
/*     */     
/* 101 */     setLayout(new GridBagLayout());
/*     */     
/* 103 */     setMinimumSize(new Dimension(42, 150));
/* 104 */     setPreferredSize(new Dimension(250, 150));
/* 105 */     this.jLabelName.setText("jLabel1");
/* 106 */     this.jLabelName.setMinimumSize(new Dimension(34, 14));
/* 107 */     this.jLabelName.setPreferredSize(new Dimension(34, 14));
/* 108 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 109 */     gridBagConstraints.fill = 2;
/* 110 */     gridBagConstraints.weightx = 1.0D;
/* 111 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 112 */     add(this.jLabelName, gridBagConstraints);
/*     */     
/* 114 */     this.jPanelList.setLayout(new GridBagLayout());
/*     */     
/* 116 */     this.jPanelList.setBackground(new Color(255, 255, 255));
/* 117 */     this.jScrollPane1.setBackground(new Color(255, 255, 255));
/* 118 */     this.jTable1.setModel(new DefaultTableModel(new Object[][] { { null } }, new String[] { "Title 1" })
/*     */     {
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 126 */       boolean[] canEdit = { false };
/*     */       
/*     */ 
/*     */       public boolean isCellEditable(int rowIndex, int columnIndex)
/*     */       {
/* 131 */         return this.canEdit[columnIndex];
/*     */       }
/* 133 */     });
/* 134 */     this.jTable1.setGridColor(new Color(255, 255, 255));
/* 135 */     this.jTable1.setIntercellSpacing(new Dimension(0, 0));
/* 136 */     this.jTable1.setOpaque(false);
/* 137 */     this.jTable1.setRowMargin(0);
/* 138 */     this.jTable1.setShowHorizontalLines(false);
/* 139 */     this.jTable1.setShowVerticalLines(false);
/* 140 */     this.jTable1.setTableHeader(null);
/* 141 */     this.jScrollPane1.setViewportView(this.jTable1);
/*     */     
/* 143 */     gridBagConstraints = new GridBagConstraints();
/* 144 */     gridBagConstraints.fill = 1;
/* 145 */     gridBagConstraints.weightx = 1.0D;
/* 146 */     gridBagConstraints.weighty = 1.0D;
/* 147 */     this.jPanelList.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 149 */     gridBagConstraints = new GridBagConstraints();
/* 150 */     gridBagConstraints.gridx = 0;
/* 151 */     gridBagConstraints.fill = 1;
/* 152 */     gridBagConstraints.weightx = 1.0D;
/* 153 */     gridBagConstraints.weighty = 1.0D;
/* 154 */     gridBagConstraints.insets = new Insets(2, 14, 4, 4);
/* 155 */     add(this.jPanelList, gridBagConstraints);
/*     */   }
/*     */   
/*     */ 
/*     */   public void setLabel(String lbl)
/*     */   {
/* 161 */     this.jLabelName.setText(lbl);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setHistory(List values)
/*     */   {
/* 169 */     if (values == null) { return;
/*     */     }
/* 171 */     int maxColumns = 1;
/*     */     
/* 173 */     Object[][] rowValues = new Object[values.size()][];
/* 174 */     for (int i = 0; i < values.size(); i++)
/*     */     {
/* 176 */       InputControlQueryDataRow qd = (InputControlQueryDataRow)values.get(i);
/* 177 */       maxColumns = qd.getColumnValues().size() > maxColumns ? qd.getColumnValues().size() : maxColumns;
/*     */       
/* 179 */       rowValues[i] = new Object[qd.getColumnValues().size()];
/* 180 */       for (int k = 0; k < qd.getColumnValues().size(); k++)
/*     */       {
/* 182 */         rowValues[i][k] = qd.getColumnValues().get(k);
/*     */       }
/* 184 */       this.itemValues.add(qd.getValue());
/*     */     }
/*     */     
/* 187 */     String[] columnNames = new String[maxColumns];
/* 188 */     for (int i = 0; i < maxColumns; i++) {
/* 189 */       columnNames[i] = ("" + i);
/*     */     }
/*     */     
/* 192 */     DefaultTableModel dtm = new DefaultTableModel(rowValues, columnNames) {
/*     */       public boolean isCellEditable(int rowIndex, int columnIndex) {
/* 194 */         return false;
/*     */       }
/*     */       
/* 197 */     };
/* 198 */     this.jTable1.setModel(dtm);
/* 199 */     this.jTable1.setTableHeader(null);
/*     */     
/* 201 */     this.jTable1.updateUI();
/*     */     
/* 203 */     this.jPanelList.updateUI();
/* 204 */     updateUI();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanelList;
/*     */   
/*     */ 
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */ 
/*     */   private JTable jTable1;
/*     */   
/*     */   public void setReadOnly(boolean b)
/*     */   {
/* 219 */     for (int i = 0; i < this.jPanelList.getComponentCount(); i++)
/*     */     {
/* 221 */       Component c = this.jPanelList.getComponent(i);
/* 222 */       if ((c instanceof JCheckBox))
/*     */       {
/* 224 */         ((JCheckBox)c).setEnabled(!b);
/*     */       }
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\inputcontrols\ui\TableListInputControlUI.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */