/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.AddressesXmlAdapter;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="mailNotification")
/*     */ public class MailNotification
/*     */ {
/*     */   private List<String> bccAddresses;
/*     */   private List<String> ccAddresses;
/*     */   private List<String> toAddresses;
/*     */   private Integer version;
/*     */   private Long id;
/*     */   private Boolean includingStackTraceWhenJobFails;
/*     */   private String messageText;
/*     */   private MailNotificationSendType resultSendType;
/*     */   private Boolean skipEmptyReports;
/*     */   private Boolean skipNotificationWhenJobFails;
/*     */   private String subject;
/*     */   private String messageTextWhenJobFails;
/*     */   
/*     */   @XmlJavaTypeAdapter(AddressesXmlAdapter.class)
/*     */   public List<String> getCcAddresses()
/*     */   {
/*  50 */     return this.ccAddresses;
/*     */   }
/*     */   
/*     */   public void setCcAddresses(List<String> ccAddresses) {
/*  54 */     this.ccAddresses = ccAddresses;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(AddressesXmlAdapter.class)
/*     */   public List<String> getToAddresses() {
/*  59 */     return this.toAddresses;
/*     */   }
/*     */   
/*     */   public void setToAddresses(List<String> toAddresses) {
/*  63 */     this.toAddresses = toAddresses;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(AddressesXmlAdapter.class)
/*     */   public List<String> getBccAddresses() {
/*  68 */     return this.bccAddresses;
/*     */   }
/*     */   
/*     */   public void setBccAddresses(List<String> bccAddresses) {
/*  72 */     this.bccAddresses = bccAddresses;
/*     */   }
/*     */   
/*     */   public Integer getVersion() {
/*  76 */     return this.version;
/*     */   }
/*     */   
/*     */   public void setVersion(Integer version) {
/*  80 */     this.version = version;
/*     */   }
/*     */   
/*     */   public Long getId() {
/*  84 */     return this.id;
/*     */   }
/*     */   
/*     */   public void setId(Long id) {
/*  88 */     this.id = id;
/*     */   }
/*     */   
/*     */   public Boolean isIncludingStackTraceWhenJobFails() {
/*  92 */     return this.includingStackTraceWhenJobFails;
/*     */   }
/*     */   
/*     */   public void setIncludingStackTraceWhenJobFails(Boolean includingStackTraceWhenJobFails) {
/*  96 */     this.includingStackTraceWhenJobFails = includingStackTraceWhenJobFails;
/*     */   }
/*     */   
/*     */   public String getMessageText() {
/* 100 */     return this.messageText;
/*     */   }
/*     */   
/*     */   public void setMessageText(String messageText) {
/* 104 */     this.messageText = messageText;
/*     */   }
/*     */   
/*     */   public Boolean isSkipEmptyReports() {
/* 108 */     return this.skipEmptyReports;
/*     */   }
/*     */   
/*     */   public void setSkipEmptyReports(Boolean skipEmptyReports) {
/* 112 */     this.skipEmptyReports = skipEmptyReports;
/*     */   }
/*     */   
/*     */   public Boolean isSkipNotificationWhenJobFails() {
/* 116 */     return this.skipNotificationWhenJobFails;
/*     */   }
/*     */   
/*     */   public void setSkipNotificationWhenJobFails(Boolean skipNotificationWhenJobFails) {
/* 120 */     this.skipNotificationWhenJobFails = skipNotificationWhenJobFails;
/*     */   }
/*     */   
/*     */   public String getSubject() {
/* 124 */     return this.subject;
/*     */   }
/*     */   
/*     */   public void setSubject(String subject) {
/* 128 */     this.subject = subject;
/*     */   }
/*     */   
/*     */   public String getMessageTextWhenJobFails() {
/* 132 */     return this.messageTextWhenJobFails;
/*     */   }
/*     */   
/*     */   public void setMessageTextWhenJobFails(String messageTextWhenJobFails) {
/* 136 */     this.messageTextWhenJobFails = messageTextWhenJobFails;
/*     */   }
/*     */   
/*     */   public MailNotificationSendType getResultSendType() {
/* 140 */     return this.resultSendType;
/*     */   }
/*     */   
/*     */   public void setResultSendType(MailNotificationSendType resultSendType) {
/* 144 */     this.resultSendType = resultSendType;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 149 */     if (this == o) return true;
/* 150 */     if (!(o instanceof MailNotification)) { return false;
/*     */     }
/* 152 */     MailNotification that = (MailNotification)o;
/*     */     
/* 154 */     if (this.bccAddresses != null ? !this.bccAddresses.equals(that.bccAddresses) : that.bccAddresses != null) return false;
/* 155 */     if (this.ccAddresses != null ? !this.ccAddresses.equals(that.ccAddresses) : that.ccAddresses != null) return false;
/* 156 */     if (this.id != null ? !this.id.equals(that.id) : that.id != null) return false;
/* 157 */     if (this.includingStackTraceWhenJobFails != null ? !this.includingStackTraceWhenJobFails.equals(that.includingStackTraceWhenJobFails) : that.includingStackTraceWhenJobFails != null)
/* 158 */       return false;
/* 159 */     if (this.messageText != null ? !this.messageText.equals(that.messageText) : that.messageText != null) return false;
/* 160 */     if (this.messageTextWhenJobFails != null ? !this.messageTextWhenJobFails.equals(that.messageTextWhenJobFails) : that.messageTextWhenJobFails != null)
/* 161 */       return false;
/* 162 */     if (this.resultSendType != null ? !this.resultSendType.equals(that.resultSendType) : that.resultSendType != null)
/* 163 */       return false;
/* 164 */     if (this.skipEmptyReports != null ? !this.skipEmptyReports.equals(that.skipEmptyReports) : that.skipEmptyReports != null)
/* 165 */       return false;
/* 166 */     if (this.skipNotificationWhenJobFails != null ? !this.skipNotificationWhenJobFails.equals(that.skipNotificationWhenJobFails) : that.skipNotificationWhenJobFails != null)
/* 167 */       return false;
/* 168 */     if (this.subject != null ? !this.subject.equals(that.subject) : that.subject != null) return false;
/* 169 */     if (this.toAddresses != null ? !this.toAddresses.equals(that.toAddresses) : that.toAddresses != null) return false;
/* 170 */     if (this.version != null ? !this.version.equals(that.version) : that.version != null) { return false;
/*     */     }
/* 172 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 177 */     int result = this.bccAddresses != null ? this.bccAddresses.hashCode() : 0;
/* 178 */     result = 31 * result + (this.ccAddresses != null ? this.ccAddresses.hashCode() : 0);
/* 179 */     result = 31 * result + (this.toAddresses != null ? this.toAddresses.hashCode() : 0);
/* 180 */     result = 31 * result + (this.version != null ? this.version.hashCode() : 0);
/* 181 */     result = 31 * result + (this.id != null ? this.id.hashCode() : 0);
/* 182 */     result = 31 * result + (this.includingStackTraceWhenJobFails != null ? this.includingStackTraceWhenJobFails.hashCode() : 0);
/* 183 */     result = 31 * result + (this.messageText != null ? this.messageText.hashCode() : 0);
/* 184 */     result = 31 * result + (this.resultSendType != null ? this.resultSendType.hashCode() : 0);
/* 185 */     result = 31 * result + (this.skipEmptyReports != null ? this.skipEmptyReports.hashCode() : 0);
/* 186 */     result = 31 * result + (this.skipNotificationWhenJobFails != null ? this.skipNotificationWhenJobFails.hashCode() : 0);
/* 187 */     result = 31 * result + (this.subject != null ? this.subject.hashCode() : 0);
/* 188 */     result = 31 * result + (this.messageTextWhenJobFails != null ? this.messageTextWhenJobFails.hashCode() : 0);
/* 189 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 194 */     return "MailNotification{bccAddresses=" + this.bccAddresses + ", ccAddresses=" + this.ccAddresses + ", toAddresses=" + this.toAddresses + ", version=" + this.version + ", id=" + this.id + ", includingStackTraceWhenJobFails=" + this.includingStackTraceWhenJobFails + ", messageText='" + this.messageText + '\'' + ", resultSendType='" + this.resultSendType + '\'' + ", skipEmptyReports=" + this.skipEmptyReports + ", skipNotificationWhenJobFails=" + this.skipNotificationWhenJobFails + ", subject='" + this.subject + '\'' + ", messageTextWhenJobFails='" + this.messageTextWhenJobFails + '\'' + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\MailNotification.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */