/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.reports;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.common.ErrorDescriptor;
/*     */ import java.util.Map;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlElementWrapper;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="exportExecution")
/*     */ public class ExportExecution
/*     */ {
/*     */   private String id;
/*     */   private ExportExecutionOptions options;
/*     */   private ExecutionStatus status;
/*     */   private ErrorDescriptor errorDescriptor;
/*     */   private OutputResourceDescriptor outputResource;
/*     */   private Map<String, OutputResourceDescriptor> attachments;
/*     */   
/*     */   @XmlElement
/*     */   public String getId()
/*     */   {
/*  43 */     return this.id;
/*     */   }
/*     */   
/*     */   public void setId(String id) {
/*  47 */     this.id = id;
/*     */   }
/*     */   
/*     */   public ExportExecutionOptions getOptions() {
/*  51 */     return this.options;
/*     */   }
/*     */   
/*     */   public void setOptions(ExportExecutionOptions options) {
/*  55 */     this.options = options;
/*     */   }
/*     */   
/*     */   public ExecutionStatus getStatus() {
/*  59 */     return this.status;
/*     */   }
/*     */   
/*     */   public void setStatus(ExecutionStatus status) {
/*  63 */     this.status = status;
/*     */   }
/*     */   
/*     */   public ErrorDescriptor getErrorDescriptor() {
/*  67 */     return this.errorDescriptor;
/*     */   }
/*     */   
/*     */   public void setErrorDescriptor(ErrorDescriptor errorDescriptor) {
/*  71 */     this.status = ExecutionStatus.failed;
/*  72 */     this.errorDescriptor = errorDescriptor;
/*     */   }
/*     */   
/*     */   public OutputResourceDescriptor getOutputResource() {
/*  76 */     return this.outputResource;
/*     */   }
/*     */   
/*     */   public void setOutputResource(OutputResourceDescriptor outputResource) {
/*  80 */     this.outputResource = outputResource;
/*     */   }
/*     */   
/*     */   public void setAttachments(Map<String, OutputResourceDescriptor> attachments) {
/*  84 */     this.attachments = attachments;
/*     */   }
/*     */   
/*     */   @XmlElementWrapper(name="attachments")
/*     */   @XmlElement(name="attachment")
/*     */   public Map<String, OutputResourceDescriptor> getAttachments() {
/*  90 */     return this.attachments;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/*  95 */     if (this == o) return true;
/*  96 */     if (!(o instanceof ExportExecution)) { return false;
/*     */     }
/*  98 */     ExportExecution that = (ExportExecution)o;
/*     */     
/* 100 */     if (this.attachments != null ? !this.attachments.equals(that.attachments) : that.attachments != null) return false;
/* 101 */     if (this.errorDescriptor != null ? !this.errorDescriptor.equals(that.errorDescriptor) : that.errorDescriptor != null)
/* 102 */       return false;
/* 103 */     if (this.id != null ? !this.id.equals(that.id) : that.id != null) return false;
/* 104 */     if (this.options != null ? !this.options.equals(that.options) : that.options != null) return false;
/* 105 */     if (this.outputResource != null ? !this.outputResource.equals(that.outputResource) : that.outputResource != null)
/* 106 */       return false;
/* 107 */     if (this.status != that.status) { return false;
/*     */     }
/* 109 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 114 */     int result = this.id != null ? this.id.hashCode() : 0;
/* 115 */     result = 31 * result + (this.options != null ? this.options.hashCode() : 0);
/* 116 */     result = 31 * result + (this.status != null ? this.status.hashCode() : 0);
/* 117 */     result = 31 * result + (this.errorDescriptor != null ? this.errorDescriptor.hashCode() : 0);
/* 118 */     result = 31 * result + (this.outputResource != null ? this.outputResource.hashCode() : 0);
/* 119 */     result = 31 * result + (this.attachments != null ? this.attachments.hashCode() : 0);
/* 120 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 125 */     return "ExportExecution{id='" + this.id + '\'' + ", options=" + this.options + ", status=" + this.status + ", errorDescriptor=" + this.errorDescriptor + ", outputResource=" + this.outputResource + ", attachments=" + this.attachments + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\reports\ExportExecution.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */