/*      */ package com.sun.xml.txw2.output;
/*      */ 
/*      */ import java.io.IOException;
/*      */ import java.io.OutputStreamWriter;
/*      */ import java.io.Writer;
/*      */ import java.util.HashMap;
/*      */ import java.util.Iterator;
/*      */ import java.util.Map.Entry;
/*      */ import java.util.Set;
/*      */ import org.xml.sax.Attributes;
/*      */ import org.xml.sax.SAXException;
/*      */ import org.xml.sax.ext.LexicalHandler;
/*      */ import org.xml.sax.helpers.AttributesImpl;
/*      */ import org.xml.sax.helpers.XMLFilterImpl;
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ public class XMLWriter
/*      */   extends XMLFilterImpl
/*      */   implements LexicalHandler
/*      */ {
/*      */   public XMLWriter(Writer writer, String encoding, CharacterEscapeHandler _escapeHandler)
/*      */   {
/*  266 */     init(writer, encoding);
/*  267 */     this.escapeHandler = _escapeHandler;
/*      */   }
/*      */   
/*      */   public XMLWriter(Writer writer, String encoding) {
/*  271 */     this(writer, encoding, DumbEscapeHandler.theInstance);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private void init(Writer writer, String encoding)
/*      */   {
/*  286 */     setOutput(writer, encoding);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void reset()
/*      */   {
/*  317 */     this.elementLevel = 0;
/*  318 */     this.startTagIsClosed = true;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void flush()
/*      */     throws IOException
/*      */   {
/*  339 */     this.output.flush();
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setOutput(Writer writer, String _encoding)
/*      */   {
/*  352 */     if (writer == null) {
/*  353 */       this.output = new OutputStreamWriter(System.out);
/*      */     } else {
/*  355 */       this.output = writer;
/*      */     }
/*  357 */     this.encoding = _encoding;
/*      */   }
/*      */   
/*      */   public void setEncoding(String encoding) {
/*  361 */     this.encoding = encoding;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setXmlDecl(boolean _writeXmlDecl)
/*      */   {
/*  371 */     this.writeXmlDecl = _writeXmlDecl;
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void setHeader(String _header)
/*      */   {
/*  385 */     this.header = _header;
/*      */   }
/*      */   
/*      */ 
/*  389 */   private final HashMap locallyDeclaredPrefix = new HashMap();
/*      */   
/*  391 */   public void startPrefixMapping(String prefix, String uri) throws SAXException { this.locallyDeclaredPrefix.put(prefix, uri); }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void startDocument()
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  413 */       reset();
/*      */       
/*  415 */       if (this.writeXmlDecl) {
/*  416 */         String e = "";
/*  417 */         if (this.encoding != null) {
/*  418 */           e = " encoding=\"" + this.encoding + "\"";
/*      */         }
/*  420 */         write("<?xml version=\"1.0\"" + e + " standalone=\"yes\"?>\n");
/*      */       }
/*      */       
/*  423 */       if (this.header != null) {
/*  424 */         write(this.header);
/*      */       }
/*  426 */       super.startDocument();
/*      */     } catch (IOException e) {
/*  428 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void endDocument()
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  447 */       if (!this.startTagIsClosed) {
/*  448 */         write("/>");
/*  449 */         this.startTagIsClosed = true;
/*      */       }
/*  451 */       write('\n');
/*  452 */       super.endDocument();
/*      */       try {
/*  454 */         flush();
/*      */       } catch (IOException e) {
/*  456 */         throw new SAXException(e);
/*      */       }
/*      */     } catch (IOException e) {
/*  459 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void startElement(String uri, String localName, String qName, Attributes atts)
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  488 */       if (!this.startTagIsClosed) {
/*  489 */         write(">");
/*      */       }
/*  491 */       this.elementLevel += 1;
/*      */       
/*      */ 
/*  494 */       write('<');
/*  495 */       writeName(uri, localName, qName, true);
/*  496 */       writeAttributes(atts);
/*      */       
/*      */ 
/*  499 */       if (!this.locallyDeclaredPrefix.isEmpty()) {
/*  500 */         Iterator itr = this.locallyDeclaredPrefix.entrySet().iterator();
/*  501 */         while (itr.hasNext()) {
/*  502 */           Map.Entry e = (Map.Entry)itr.next();
/*  503 */           String p = (String)e.getKey();
/*  504 */           String u = (String)e.getValue();
/*  505 */           if (u == null) {
/*  506 */             u = "";
/*      */           }
/*  508 */           write(' ');
/*  509 */           if ("".equals(p)) {
/*  510 */             write("xmlns=\"");
/*      */           } else {
/*  512 */             write("xmlns:");
/*  513 */             write(p);
/*  514 */             write("=\"");
/*      */           }
/*  516 */           char[] ch = u.toCharArray();
/*  517 */           writeEsc(ch, 0, ch.length, true);
/*  518 */           write('"');
/*      */         }
/*  520 */         this.locallyDeclaredPrefix.clear();
/*      */       }
/*      */       
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*  527 */       super.startElement(uri, localName, qName, atts);
/*  528 */       this.startTagIsClosed = false;
/*      */     } catch (IOException e) {
/*  530 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void endElement(String uri, String localName, String qName)
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  557 */       if (this.startTagIsClosed) {
/*  558 */         write("</");
/*  559 */         writeName(uri, localName, qName, true);
/*  560 */         write('>');
/*      */       } else {
/*  562 */         write("/>");
/*  563 */         this.startTagIsClosed = true;
/*      */       }
/*  565 */       if (this.elementLevel == 1) {
/*  566 */         write('\n');
/*      */       }
/*  568 */       super.endElement(uri, localName, qName);
/*      */       
/*  570 */       this.elementLevel -= 1;
/*      */     } catch (IOException e) {
/*  572 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void characters(char[] ch, int start, int len)
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  594 */       if (!this.startTagIsClosed) {
/*  595 */         write('>');
/*  596 */         this.startTagIsClosed = true;
/*      */       }
/*  598 */       if (this.inCDATA) {
/*  599 */         this.output.write(ch, start, len);
/*      */       } else
/*  601 */         writeEsc(ch, start, len, false);
/*  602 */       super.characters(ch, start, len);
/*      */     } catch (IOException e) {
/*  604 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void ignorableWhitespace(char[] ch, int start, int length)
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  626 */       writeEsc(ch, start, length, false);
/*  627 */       super.ignorableWhitespace(ch, start, length);
/*      */     } catch (IOException e) {
/*  629 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void processingInstruction(String target, String data)
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  651 */       if (!this.startTagIsClosed) {
/*  652 */         write('>');
/*  653 */         this.startTagIsClosed = true;
/*      */       }
/*  655 */       write("<?");
/*  656 */       write(target);
/*  657 */       write(' ');
/*  658 */       write(data);
/*  659 */       write("?>");
/*  660 */       if (this.elementLevel < 1) {
/*  661 */         write('\n');
/*      */       }
/*  663 */       super.processingInstruction(target, data);
/*      */     } catch (IOException e) {
/*  665 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void startElement(String uri, String localName)
/*      */     throws SAXException
/*      */   {
/*  696 */     startElement(uri, localName, "", this.EMPTY_ATTS);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void startElement(String localName)
/*      */     throws SAXException
/*      */   {
/*  718 */     startElement("", localName, "", this.EMPTY_ATTS);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void endElement(String uri, String localName)
/*      */     throws SAXException
/*      */   {
/*  739 */     endElement(uri, localName, "");
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void endElement(String localName)
/*      */     throws SAXException
/*      */   {
/*  760 */     endElement("", localName, "");
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void dataElement(String uri, String localName, String qName, Attributes atts, String content)
/*      */     throws SAXException
/*      */   {
/*  794 */     startElement(uri, localName, qName, atts);
/*  795 */     characters(content);
/*  796 */     endElement(uri, localName, qName);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void dataElement(String uri, String localName, String content)
/*      */     throws SAXException
/*      */   {
/*  827 */     dataElement(uri, localName, "", this.EMPTY_ATTS, content);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void dataElement(String localName, String content)
/*      */     throws SAXException
/*      */   {
/*  858 */     dataElement("", localName, "", this.EMPTY_ATTS, content);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   public void characters(String data)
/*      */     throws SAXException
/*      */   {
/*      */     try
/*      */     {
/*  877 */       if (!this.startTagIsClosed) {
/*  878 */         write('>');
/*  879 */         this.startTagIsClosed = true;
/*      */       }
/*  881 */       char[] ch = data.toCharArray();
/*  882 */       characters(ch, 0, ch.length);
/*      */     } catch (IOException e) {
/*  884 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */   public void startDTD(String name, String publicId, String systemId) throws SAXException
/*      */   {}
/*      */   
/*      */   public void endDTD() throws SAXException
/*      */   {}
/*      */   
/*      */   public void startEntity(String name) throws SAXException
/*      */   {}
/*      */   
/*      */   public void endEntity(String name) throws SAXException
/*      */   {}
/*      */   
/*      */   public void startCDATA() throws SAXException
/*      */   {
/*      */     try {
/*  903 */       if (!this.startTagIsClosed) {
/*  904 */         write('>');
/*  905 */         this.startTagIsClosed = true;
/*      */       }
/*  907 */       write("<![CDATA[");
/*  908 */       this.inCDATA = true;
/*      */     } catch (IOException e) {
/*  910 */       new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */   public void endCDATA() throws SAXException {
/*      */     try {
/*  916 */       this.inCDATA = false;
/*  917 */       write("]]>");
/*      */     } catch (IOException e) {
/*  919 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */   public void comment(char[] ch, int start, int length) throws SAXException {
/*      */     try {
/*  925 */       this.output.write("<!--");
/*  926 */       this.output.write(ch, start, length);
/*  927 */       this.output.write("-->");
/*      */     } catch (IOException e) {
/*  929 */       throw new SAXException(e);
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private void write(char c)
/*      */     throws IOException
/*      */   {
/*  948 */     this.output.write(c);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */   private void write(String s)
/*      */     throws IOException
/*      */   {
/*  956 */     this.output.write(s);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private void writeAttributes(Attributes atts)
/*      */     throws IOException, SAXException
/*      */   {
/*  971 */     int len = atts.getLength();
/*  972 */     for (int i = 0; i < len; i++) {
/*  973 */       char[] ch = atts.getValue(i).toCharArray();
/*  974 */       write(' ');
/*  975 */       writeName(atts.getURI(i), atts.getLocalName(i), atts.getQName(i), false);
/*      */       
/*  977 */       write("=\"");
/*  978 */       writeEsc(ch, 0, ch.length, true);
/*  979 */       write('"');
/*      */     }
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private void writeEsc(char[] ch, int start, int length, boolean isAttVal)
/*      */     throws SAXException, IOException
/*      */   {
/*  999 */     this.escapeHandler.escape(ch, start, length, isAttVal, this.output);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */   private void writeName(String uri, String localName, String qName, boolean isElement)
/*      */     throws IOException
/*      */   {
/* 1016 */     write(qName);
/*      */   }
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1025 */   private final Attributes EMPTY_ATTS = new AttributesImpl();
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1033 */   private boolean inCDATA = false;
/* 1034 */   private int elementLevel = 0;
/*      */   private Writer output;
/*      */   private String encoding;
/* 1037 */   private boolean writeXmlDecl = true;
/*      */   
/*      */ 
/*      */ 
/*      */ 
/*      */ 
/* 1043 */   private String header = null;
/*      */   
/*      */   private final CharacterEscapeHandler escapeHandler;
/*      */   
/* 1047 */   private boolean startTagIsClosed = true;
/*      */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\txw2\output\XMLWriter.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */